<!--#include file="../../owFunctions/I_GeneralFunctions.asp"-->
<%sPath = "../../"%>
<!--#include file="../../owTemplates/Template_AllLeft.asp"-->
<%
	'************************************************************************************
	'*																					*
	'*	MODIFICATION TO THIS SCRIPT OR ANY FILES INCLUDED WITH 							*
	'*		ONEWORLDSTOREFRONT IS DONE AT YOUR OWN RISK!								*
	'*	Product  : OneWorldStoreFront													*

	'*	Copyright:	Copyright (C) 2004 OneWorldStoreFront.Com							*
	'*				Registration Number: 1024507										*
	'*				http://strategis.ic.gc.ca/											*
	'*																					*
	'************************************************************************************

	
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub ActionSubroutine()

		if ( NOT bHasAccount ) then
			response.redirect "../owCustomerAuthenticate.asp"
		Else
			sIDOrder = CONVERSION_SQLEncode2(request("idOrder"),12)
			if sIDOrder = "" then 
				Call owMessage(LANG_DT( "CANCEL_MISSINGORDER", "Unable to find the requested order." ), C_ERROR)
			Else
				sSQLText = "SELECT AccountUnq, orderStatus, OriginalCreditPmt, CurrentCreditOwed FROM orders WHERE idOrder=" & sIDOrder
				Call DB_getFromDatabase(sSQLText, rsStoreData, "")
				if iLoginAccountUnq <> CDbl(Trim(rsStoreData("AccountUnq"))) then 
					Call owMessage(LANG_DT( "CANCEL_NONMATCHINGACCOUNT", "Unable to find a matching order for your account." ), C_ERROR)
				Else
					If ( CInt(Trim(rsStoreData("orderStatus"))) <> C_PENDING ) Then 
						' only pending orders can be cancelled
						Call owMessage(LANG_DT( "CANCEL_NOTPENDING", "Unfortunately, due to the fact that this order is not in ""Pending"" status, it cannot be cancelled." ), C_ERROR)
					Else
						sSQLText = "UPDATE orders SET orderStatus=" & C_CANCELLED & " WHERE idOrder=" & sIDOrder
						call DB_updateDatabase(sSQLText)
						
						'sSQLText = "SELECT idProduct, Quantity FROM OrdersProdRef WHERE idOrder = " & sIDOrder
						sSQLText = "SELECT OPR.idProduct, OPR.Quantity, P.Stock, P.Sales FROM OrdersProdRef OPR, Products P WHERE OPR.idOrder = " & sIDOrder & " AND OPR.idProduct = P.idProduct"
						Call DB_getFromDatabase(sSQLText, rsStoreData2, "")
						While ( NOT rsStoreData2.EOF )
							' go through and reduce the number sold of each product within this order by Quantity
							'	also add Quantity to the number in stock
							sSQLText = "UPDATE Products SET Sales = " & (rsStoreData2("Sales")-rsStoreData2("Quantity")) & ", Stock = " & (rsStoreData2("Stock")+rsStoreData2("Quantity")) & " WHERE idProduct = " & rsStoreData2("idProduct")
							call DB_updateDatabase(sSQLText)
							rsStoreData2.MoveNext
						Wend
						Call DB_closeRecordset(rsStoreData2)
						
						sEmailBody	= LANG_DT( "CANCEL_EMAIL1", "This order has been cancelled by the customer." ) & VbCrlf
						sEmailBody	= sEmailBody & LANG_DT( "CANCEL_EMAIL2", "Please visit your store manager if you wish to review the cancelled order information." ) & VbCrlf & VbCrlf
						sEmailBody	= sEmailBody & LANG_DT( "CANCEL_EMAIL3", "Powered by OneWorldStoreFront" ) & VbCrlf
						sEmailBody	= sEmailBody & LANG_DT( "CANCEL_EMAIL4", "http://www.OneWorldStoreFront.com" )
						
						sSubject	= LANG_DT( "CANCEL_EMAILSUBJECT", "Cancelled Order #" ) & sOWOrderPrefix & sIDOrder
						
						call sendmail (sOWCompany, sOWEmailSender, sOWEmailAdmin, sSubject, sEmailBody)

						Call owMessage(LANG_DT( "CANCEL_CONFIRM", "Your selected order was cancelled." ), C_SUCCESS)
					End If
				End If
				Call DB_closeRecordset(rsStoreData)
			End If
		End If

	End Sub
	'************************************************************************************
%>