<!--#include file="../../../owFunctions/I_GeneralFunctions.asp"-->
<!--#include file="../Includes/i_Messages.asp"-->
<!--#include file="../../header.asp"-->
<%
	'************************************************************************************
	'*																					*
	'*	MODIFICATION TO THIS SCRIPT OR ANY FILES INCLUDED WITH 							*
	'*		ONEWORLDSTOREFRONT IS DONE AT YOUR OWN RISK!								*
	'*	Product  : OneWorldStoreFront													*

	'*	Copyright:	Copyright (C) 2004 OneWorldStoreFront.Com							*
	'*				Registration Number: 1024507										*
	'*				http://strategis.ic.gc.ca/											*
	'*																					*
	'************************************************************************************

	Dim iBeginPagination, iTtlNumItems, iDBLoc, sQuerystring
	Dim iPaginationCount, sTempSearch, sOrderStatus
	
	sAction			= Trim(Request("sAction"))
	sSort			= Trim(Request("sSort"))
	sSearchText		= Trim(Request("sSearchText"))
	sSearch			= Trim(Request("sSearch"))
	sAccountUnq		= Trim(Request("sAccountUnq"))
	sQuerystring	= "sAccountUnq=" & sAccountUnq & "&sAction=" & sAction & "&sSearchText=" & sSearchText & "&sSearch=" & sSearch
	sMessage		= Trim(Request("sMessage"))
	
	If ( sSearchText <> "" ) Then
		If ( sSearch = "FirstChar" ) Then
			sTempSearch = " AND lastname LIKE '" & sSearchText & "%'"
		Else
			sTempSearch = " AND " & sSearch & " LIKE '%" & sSearchText & "%'"
		End If
	Else
		sTempSearch = ""
	End If
	
	sSQLText	= "SELECT * FROM Orders (NOLOCK) WHERE idAffiliate = " & sAccountUnq & sTempSearch
	sSQLCount	= "SELECT Count(*) FROM Orders (NOLOCK) WHERE idAffiliate = " & sAccountUnq & sTempSearch
	
	If ( sSort <> "" ) Then
		sSQLText = sSQLText & " ORDER BY " & sSort
	End If
	
	iBeginPagination = SetupPagination( sSQLCount, bResetTtlNumItems, bResetDBLoc )
	Call PaginationQuery( sSQLText, rsStoreData, iBeginPagination )
	
	If ( rsStoreData.EOF ) Then
		sMessage = CM_E_NOAORDERRECORDS
	End If
	
	%>
	<script language = "javascript">
	
		parent.parent.owBodyFooter.location="../owBodyFooter.asp?<%=sQuerystring%>&sSort=<%=sSort%>&iOWNumPerPage=<%=iOWNumPerPage%>&iTtlNumItems=<%=iTtlNumItems%>&iDBLoc=<%=iDBLoc%>"
		parent.parent.owBodyTopNav.location="../owBodyTopNav.asp?sPage=ListAOrders&sMessage=<%=sMessage%>"
		
		function ColumnOn(sStyle)
		{
			sStyle.background	= "#F5C058";
		}
		function ColumnOff(sStyle)
		{
			sStyle.background	= "#C3DAF9";
		}
		
		function ColumnDataOn(sStyle)
		{
			sStyle.background	= "#EAF1F9";
		}
		function ColumnDataOff(sStyle)
		{
			sStyle.background	= "#FFFFFF";
		}
		
	</script>
	<link rel="stylesheet" href="../../Script/owStyles.css" type="text/css"> <!-- add this here because it's not found through the include -->
	<body topmargin="0" leftmargin="0" bgcolor=C3DAF9>
	<div id="tablediv" style="position: absolute; top: 0px; height: 100%; width:100%">
		<table width=100% border="0" cellpadding="2" cellspacing="0" style="font-size: 11px" bgcolor=FFFFFF>
		<form action='owListAOrders.asp' method='post' name='OrderList'>
			<input type='hidden' name='sAction' value=''>
			<tr>
				<td onclick="location.href='owListAOrders.asp?<%=sQueryString%>idOrder'" onMouseOver="ColumnOn(this.style);" onMouseOut="ColumnOff(this.style);" class="ColumnHead" align="center"><%=LANG_DT( "ORDERID", "Order ID" )%></td>
				<td onclick="location.href='owListAOrders.asp?<%=sQueryString%>name'" onMouseOver="ColumnOn(this.style);" onMouseOut="ColumnOff(this.style);" class="ColumnHead" align="center"><%=LANG_DT( "CUSTOMER", "Customer" )%></td>
				<td onclick="location.href='owListAOrders.asp?<%=sQueryString%>orderDate'" onMouseOver="ColumnOn(this.style);" onMouseOut="ColumnOff(this.style);" class="ColumnHead" align="center"><%=LANG_DT( "ORDERDATE", "Order Date" )%></td>
				<td onclick="location.href='owListAOrders.asp?<%=sQueryString%>total'" onMouseOver="ColumnOn(this.style);" onMouseOut="ColumnOff(this.style);" class="ColumnHead" align="center"><%=LANG_DT( "TOTAL", "Total" )%></td>
				<td onclick="location.href='owListAOrders.asp?<%=sQueryString%>orderStatus'" onMouseOver="ColumnOn(this.style);" onMouseOut="ColumnOff(this.style);" class="ColumnHead" bgcolor="#C3DAF9" align="center"><%=LANG_DT( "STATUS", "Status" )%></td>
			</tr>
			<%
			If ( NOT rsStoreData.EOF ) Then
				iPaginationCount = 0
				While ( ( NOT rsStoreData.EOF ) And ( iPaginationCount < iOWNumPerPage ) )
					pName			= rsStoreData("FName") & " " & rsStoreData("LName")
					sIDOrder		= rsStoreData("idOrder")
					pOrderDate		= rsStoreData("orderDate")
					pTotal			= rsStoreData("total") 
					pOrderStatus	= rsStoreData("orderStatus")   
					
					sQueryString2	= sQueryString & sSort & "&idorder=" & sIDOrder
					%>
					<tr onMouseOver="ColumnDataOn(this.style);" onMouseOut="ColumnDataOff(this.style);">
						<td width=10% class='ColumnData' align="center"><%=sOWOrderPrefix & sIDOrder%>&nbsp;</td>
						<td width=25% class='ColumnData' align="left"><%=pName%>&nbsp;</td>
						<td width=10% class='ColumnData' align="left">
							<%=pOrderDate%>&nbsp;
						</td>
						<td width=10% class='ColumnData' align="left"><%=CONVERSION_Currency(pTotal)%>&nbsp;</td>
						<td width=10% class='ColumnData' align="left">
							<%
							Select Case pOrderStatus
								Case C_PENDING
									response.write LANG_DT( "ORDERS_PEND", "Pending" )
								Case C_DELIVERED
									response.write LANG_DT( "ORDERS_DEL", "Delivered" )
								Case C_CANCELLED
									response.write LANG_DT( "ORDERS_CANCELLED", "Cancelled" )
								Case C_PAID
									response.write LANG_DT( "ORDERS_PAID", "Paid" )   		
								Case C_CHARGEBACK
									response.write LANG_DT( "ORDERS_CHARGEBACK", "Chargeback" )
								Case C_REFUNDED
									response.write LANG_DT( "ORDERS_REFUNDED", "Refunded" )
								Case C_UNFINALIZED
									response.write LANG_DT( "ORDERS_UNFINALIZED", "Unfinalized" )
							End Select
							%> 
						</td>
					</tr>
					<%
					rsStoreData.movenext
					iPaginationCount = iPaginationCount + 1
				Wend
			End If
			%>
		</form>
	</table>
	<%%>
	<!--#include file="../../footer.asp"-->