<!--#include file="../owFunctions/I_GeneralFunctions.asp"-->
<%sPath = "../"%>
<!--#include file="../owTemplates/Template.asp"-->
<%
	'************************************************************************************
	'*																					*
	'*	MODIFICATION TO THIS SCRIPT OR ANY FILES INCLUDED WITH 							*
	'*		ONEWORLDSTOREFRONT IS DONE AT YOUR OWN RISK!								*
	'*	Product  : OneWorldStoreFront													*

	'*	Copyright:	Copyright (C) 2004 OneWorldStoreFront.Com							*
	'*				Registration Number: 1024507										*
	'*				http://strategis.ic.gc.ca/											*
	'*																					*
	'************************************************************************************
	
	Dim sIDSearch, sQuerystring, sKeywords
	
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub ActionSubroutine()
	
		sIDSearch		= CONVERSION_Numeric(Trim(Request("sIDSearch")), C_INTEGER)
		sQuerystring	= "sIDSearch=" & sIDSearch
		%>
		<script language='JavaScript1.2' type='text/javascript'>
	
			function PaginationLink(sQueryString){
				document.location = "DisplayResults.asp?" + sQueryString;
			}
			
		</script>
		<%Call RefreshSearchResults()%>
		<table width=<%=sOWStoreTableWidth%> border=0 style='border: 1px solid #000000;' cellspacing=0 cellpadding=5>
			<tr bgcolor="#eeeeee"><td style='border-bottom: 1px solid #000000;'><b><%=LANG_DT( "SEARCHD_HEAD", "Product Search Results" )%></b></td></tr>
			<tr>
				<td>
					<%
					' get the keywords & other search criteria to print out
					sSQLText = "SELECT Keywords, InStock, InitialPrice, FinalPrice, IDSupplier, IDCategory FROM owSearches WHERE idSearch = " & sIDSearch
					Call DB_getFromDatabase(sSQLText, rsStoreData, "")
					If ( NOT rsStoreData.EOF ) Then
						sKeywords = Trim(rsStoreData("Keywords"))
						%>
						<table>
							<%If ( Trim(rsStoreData("Keywords")) <> "" ) Then%>
							<tr>
								<td><b><%=LANG_DT( "SEARCHD_KEYWORDS", "Keywords" )%>:</td>
								<td><%=Server.HTMLEncode(sKeywords)%></td>
							</tr>
							<%End If%>
							<%If ( Trim(rsStoreData("InStock")) <> "" ) Then%>
							<tr>
								<td colspan=2><b><%=LANG_DT( "SEARCHD_STOCKONLY", "Search products in stock only." )%></td>
							</tr>
							<%End If%>
							<%If ( Trim(rsStoreData("InitialPrice")) <> "" ) And ( Trim(rsStoreData("FinalPrice")) <> "" ) Then%>
							<tr>
								<td><b><%=LANG_DT( "SEARCHD_PRICE", "Price Between" )%>:</td>
								<td><%=CONVERSION_Currency(Trim(rsStoreData("InitialPrice")))%>&nbsp;<%=LANG_DT( "SEARCHD_AND", "And" )%>&nbsp;<%=CONVERSION_Currency(Trim(rsStoreData("FinalPrice")))%></td>
							</tr>
							<%End If%>
							<%If ( Trim(rsStoreData("IDSupplier")) <> "" ) Then%>
							<tr>
								<td><b><%=LANG_DT( "SEARCHD_SUPPLIER", "Supplier" )%>:</td>
								<td><%=Trim(rsStoreData("IDSupplier"))%></td>
							</tr>
							<%End If%>
							<%If ( Trim(rsStoreData("IDCategory")) <> "" ) Then%>
							<tr>
								<td><b><%=LANG_DT( "SEARCHD_CAT", "Category" )%>:</td>
								<td><%=Trim(rsStoreData("IDCategory"))%></td>
							</tr>
							<%End If%>
						</table>
						<%
					End If
					Call DB_closeRecordset(rsStoreData)
					%>
				</tD>
			</tr>
			<tr>
				<td style='border-top: 1px solid #000000;'>&nbsp;</td>
			</tr>
			<tr>
				<td>
					<%Call SearchConf()%>
				</td>
			</tr>
		</table>		
		<%
		
	End Sub
	'************************************************************************************

	
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub SearchConf()
		
		sSQLCount = "SELECT Count(*) FROM owSearchResults R, Products P WHERE R.idSearch = " & sIDSearch & " AND R.idProduct = P.idProduct"
		sSQLText = "SELECT P.idProduct, P.idSupplier, P.SKU, P.Description, P.ListPrice, P.Price, P.imageURL, P.SmallImageUrl, P.Stock, P.bToBPrice, P.visits, P.NumRanking, P.Ranking, P.ShortDesc, C.idCategory, C.categoryDesc, C.idParentCategory, C.imageCategory FROM owSearchResults R, Products P, Categories C WHERE R.idProduct = P.idProduct AND R.idCategory = C.idCategory AND R.idSearch = " & sIDSearch

		iBeginPagination = SetupPagination( sSQLCount, bResetTtlNumItems, bResetDBLoc )
		Call PaginationQuery( sSQLText, rsStoreData, iBeginPagination )
		If ( rsStoreData.EOF ) Then
			If ( sKeywords = "OW_NEW" ) Then
				Response.Write "<center><B>" & LANG_DT( "SEARCHD_NONEW", "Sorry, there are no new products at this time." ) & "</b></center>"
			Else
				Response.Write "<center><B>" & LANG_DT( "SEARCHD_NONEFOUND", "Sorry, no products were found using your search criteria." ) & "</b></center>"
			End If
		Else
			Call TEMPLATE_PrintRecordsetNav( sURL, iOWNumPerPage, iTtlNumItems, iDBLoc, sQuerystring )
			sSQLCount = 0
			While ( ( NOT rsStoreData.EOF ) And ( sSQLCount < iOWNumPerPage ) )
				sIdProduct		= rsStoreData("idProduct")
				sDescription	= rsStoreData("description")   
				sPrice			= rsStoreData("price")   
				sBtoBPrice		= rsStoreData("bToBPrice")   
				slistprice		= rsStoreData("listprice")
				sSmallImageUrl	= rsStoreData("smallImageUrl")   
				sStock			= rsStoreData("stock")   
				sVisits			= rsStoreData("visits")
				sIDCategory		= rsStoreData("idCategory")
				sNumRanking		= rsStoreData("NumRanking")
				sRanking		= rsStoreData("Ranking")
				sIDSupplier		= rsStoreData("idSupplier")
				sSKU			= rsStoreData("SKU")
				sShortDesc		= rsStoreData("ShortDesc")
				Call TEMPLATE_ProductListingDisplay( sShortDesc, sSKU, sIDSupplier, sSmallImageUrl, sDescription, slistprice, sPrice, sBtoBPrice, sStock, sVisits, sIdProduct, sIDCategory, sNumRanking, sRanking )
				sSQLCount = sSQLCount + 1
				rsStoreData.moveNext
			Wend
		End If
		Call DB_closeRecordset(rsStoreData)

	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	This resets the timeout period of the search results to the current time.		*
	'*																					*
	'************************************************************************************
	Sub RefreshSearchResults()
	
		If ( Trim(sIDSearch) <> "" ) Then
			Call DB_updateDatabase ("UPDATE owSearches SET DateChanged = #" & CONVERSION_FormatDate(Now(), "L") & "# WHERE idSearch = " & sIDSearch)
		End If
	
	End Sub
	'************************************************************************************
%>