<%
	'************************************************************************************
	'*																					*
	'*	MODIFICATION TO THIS SCRIPT OR ANY FILES INCLUDED WITH 							*
	'*		ONEWORLDSTOREFRONT IS DONE AT YOUR OWN RISK!								*
	'*	Product  : OneWorldStoreFront													*

	'*	Copyright:	Copyright (C) 2004 OneWorldStoreFront.Com							*
	'*				Registration Number: 1024507										*
	'*				http://strategis.ic.gc.ca/											*
	'*																					*
	'************************************************************************************


	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub RunPayPal(sIDOrder)
	
		Dim rsStoreData, rsStoreData2
		
		Set rsStoreData		= CreateObject("ADODB.Recordset")
		Set rsStoreData2	= CreateObject("ADODB.Recordset")
		
			sOWPayPalEmail	= Trim(owCONFIG_ReturnConfigValue("sOWPayPalEmail"))
			sOWPayPalURL	= Trim(owCONFIG_ReturnConfigValue("sOWPayPalURL"))
			iQty			= 0
			
			Call CART_PaymentMethodInfo(C_PM_PayPal, bPaymentActive, sPaymentDescription, sPaymentPriceToAdd, sPaymentPercentageToAdd)
			
			
			' if this order was placed with credit, we have to remove the full credit amount from the amount
			'	that we are charging through PayPal. but since PayPal has no "discount" code or order total field,
			'	we have to strip it away from the individual products, then shipping costs, then handling cost, then
			'	payment method fees -- MAJOR PAIN as you see all the extra code needed to check EVERY place a cost is added
			sSQLText = "SELECT Total, CurrentCreditOwed, DiscountAmount, PaymentMethodFee FROM Orders (NOLOCK) WHERE idOrder = " & sIDOrder
			Call DB_getFromDatabase(sSQLText, rsStoreData, "")
			If ( NOT rsStoreData.EOF ) Then
				sCurrentCreditOwed	= CONVERSION_Numeric(rsStoreData("CurrentCreditOwed"), C_DOUBLE)
				dTotal				= CDbl(rsStoreData("Total"))	' for use when there is a percentage fee on this payment method
				dPaymentMethodFee	= CONVERSION_Numeric(rsStoreData("PaymentMethodFee"), C_DOUBLE)

				' must also piggyback any discount the customer may get with the sCurrentCreditOwed so it's removed from the total paid
				'	through PayPal
				sCurrentCreditOwed = sCurrentCreditOwed + CONVERSION_Numeric(rsStoreData("DiscountAmount"), C_DOUBLE)
			End If
			Call DB_closeRecordset(rsStoreData)
			
			%>
			<form action="<%=sOWPayPalURL%>" method="post" name="PayPalOrder">
						<input type="hidden" name="cmd" value="_cart">
						<input type="hidden" name="redirect_cmd" value="_xclick">
						<input type="hidden" name="upload" value="1">
						<input type="hidden" name="business" value="<%=sOWPayPalEmail%>">
						<input type="hidden" name="currency_code" value="<%=sOWCurrencyCode%>">
						<input type="hidden" name="no_shipping" value="1">
						<input type="hidden" name="cn" value="<%=sOWCompany%>">
						<input type="hidden" name="return" value="<%=sOWStoreUrlNonSSL%>owBasket/CustomerAdmin/owSavedOrderDetails.asp?idOrder=<%=sIdOrder%>&sAction=New">
						<input type="hidden" name="cancel_return" value="<%=sOWStoreUrlNonSSL%>owBasket/owCheckOutCancelOrder.asp?idOrder=<%=sIdOrder%>">
						<input type="hidden" name="custom" value="<%=iStock%>">
						<input type="hidden" name="invoice" value="<%=sOWOrderPrefix & sIdOrder%>">
						<%
						sSQLText = "SELECT * FROM OrdersProdRef (NOLOCK) WHERE idOrder = " & sIdOrder
						Call DB_getFromDatabase(sSQLText, rsStoreData, "")
						do while not rsStoreData.eof
							iQty			= iQty + 1		' NOTE: reusing this value as the counter for the PayPal information
							sIDProduct		= rsStoreData("idProduct")
							sQuantity		= CONVERSION_Numeric(rsStoreData("quantity"), C_INTEGER)
							sDescription	= rsStoreData("Description")
							sIDOrderProd	= rsStoreData("IDOrderProd")
							
							if ACCNT_InGroup(iLoginAccountUnq, C_GROUP_RETAIL) then
								iPrice = CONVERSION_Numeric(rsStoreData("unitPrice"), C_DOUBLE)
							else
								iPrice = CONVERSION_Numeric(rsStoreData("unitBtoBPrice"), C_DOUBLE)
							End If
							
							' see if this product has any options that make it cost more and add that amount to the item cost
							sSQLText = "SELECT PriceToAdd FROM OrdersProdOptions WHERE IDOrderProd = " & sIDOrderProd & " AND idOrder = " & sIdOrder & " AND idProduct = " & sIDProduct
							Call DB_getFromDatabase(sSQLText, rsStoreData2, "")
							While ( NOT rsStoreData2.EOF )
								iTemp = CONVERSION_Numeric(rsStoreData2("PriceToAdd"), C_DOUBLE)
								If ( iTemp > 0 ) Then
									iPrice = iPrice + iTemp
								End If
								rsStoreData2.MoveNext
							Wend
							Call DB_closeRecordset(rsStoreData2)
							
							' get option descriptions and info. Unfortunately, we can only append max of two options for PayPal
							sTempOpt = ""
							sSQLText = "SELECT * FROM OrdersProdOptions (NOLOCK) WHERE IDOrderProd = " & sIDOrderProd & " AND idOrder = " & sIdOrder & " AND idProduct = " & sIDProduct
							Call DB_getFromDatabase(sSQLText, rsStoreData2, "")
							While ( NOT rsStoreData2.EOF )
								sTempOpt = sTempOpt & " -- " & rsStoreData2("OptionDescription") & " +" & CONVERSION_Currency(rsStoreData2("PriceToAdd"))
								rsStoreData2.movenext
							Wend
							
							' set the price of the product to the individual product price times the quantity
							'	do this because if we reduce the number of items in cases where the customer
							'	has used credit, paypal will say they are only ordering X items when they
							'	are really ordering Y -- but we say X so paypal doesn't charge them more.
							'	This is bad and will confuse the customer, so if there is credit being applied,
							'	do this multiplication and then add a note to the end of the product description
							'	saying how many they are actually purchasing -- especially since the price will
							'	be weird after multiplying by quantity and subtracting credit used
							If ( sCurrentCreditOwed >= iPrice ) And ( sCurrentCreditOwed > 0 ) Then		' don't do this if the credit is 0 because then that means the price = 0 and the product is free -- ie they are buying a free product and a for-pay product
								' they are using credit so do the multiplication, etc.
								iPrice = iPrice * sQuantity
								If ( sCurrentCreditOwed >= iPrice ) Then
									sCurrentCreditOwed	= sCurrentCreditOwed - iPrice
									iPrice				= 0
								ElseIf ( sCurrentCreditOwed > 0 ) And ( sCurrentCreditOwed < iPrice ) Then
									iPrice				= iPrice - sCurrentCreditOwed
									sCurrentCreditOwed	= 0
								End If
								%>
								<input type="hidden" name="item_name_<%=iQty%>" value="<%=Server.HTMLEncode(sDescription)%> (<%=LANG_DT( "PAYPAL_PURCH", "purchasing" )%> <%=sQuantity%>)">
								<input type="hidden" name="amount_<%=iQty%>" value="<%=FormatNumber(iPrice, 2)%>">
								<input type="hidden" name="item_number_<%=iQty%>" value="<%=sIDProduct%>">
								<%If ( sTempOpt <> "" ) Then%>
								<input type="hidden" name="on0_<%=iQty%>" value="Options">
								<input type="hidden" name="os0_<%=iQty%>" value="<%=Server.HTMLEncode(sTempOpt)%>">
								<%
								End If
							Else
								If ( iPrice > 0 ) Then	' they are purchasing a for-pay and a free product, so do not include the free product otherwise paypal crashes
									%>
									<input type="hidden" name="item_name_<%=iQty%>" value="<%=Server.HTMLEncode(sDescription)%>">
									<input type="hidden" name="amount_<%=iQty%>" value="<%=FormatNumber(iPrice, 2)%>">
									<input type="hidden" name="quantity_<%=iQty%>" value="<%=sQuantity%>">
									<input type="hidden" name="item_number_<%=iQty%>" value="<%=sIDProduct%>">
									<%If ( sTempOpt <> "" ) Then%>
									<input type="hidden" name="on0_<%=iQty%>" value="Options">
									<input type="hidden" name="os0_<%=iQty%>" value="<%=Server.HTMLEncode(sTempOpt)%>">
									<%
									End If
								Else
									iQty = iQty - 1		' it was a false positive so reduce the qty by one
								End If
							End If
							
							Call DB_closeRecordset(rsStoreData2)
							rsStoreData.movenext
						loop
						Call DB_closeRecordset(rsStoreData)
						
						' if there are payment fees, add them as an additional product
						If ( dPaymentMethodFee > 0 ) Then
							If ( sCurrentCreditOwed >= dPaymentMethodFee ) Then
								sCurrentCreditOwed	= sCurrentCreditOwed - dPaymentMethodFee
								dPaymentMethodFee	= 0
							ElseIf ( sCurrentCreditOwed > 0 ) And ( sCurrentCreditOwed < dPaymentMethodFee ) Then
								sCurrentCreditOwed	= 0
								dPaymentMethodFee	= dPaymentMethodFee - sCurrentCreditOwed
							End If
							iQty = iQty + 1
							%>
							<input type="hidden" name="item_name_<%=iQty%>" value="<%=Server.HTMLEncode(sPaymentDescription)%>">
							<input type="hidden" name="item_number_<%=iQty%>" value="-1">
							<input type="hidden" name="amount_<%=iQty%>" value="<%=FormatNumber(dPaymentMethodFee, 2)%>">
							<%
						End If
	
						sSQLText = "SELECT * FROM Orders (NOLOCK) WHERE idOrder = "& sIdOrder
						Call DB_getFromDatabase(sSQLText, rsStoreData, "")
						If ( NOT rsStoreData.EOF ) Then
							dTaxAmount		= CONVERSION_Numeric(rsStoreData("TaxAmount"), C_DOUBLE)
							dShippingFee	= CONVERSION_Numeric(rsStoreData("ShippingFee"), C_DOUBLE)
							dHandlingFee	= CONVERSION_Numeric(rsStoreData("HandlingFee"), C_DOUBLE)
							sShipDetails	= rsStoreData("shipmentDetails")
							sCurrentCreditOwed = CDbl(rsStoreData("CurrentCreditOwed"))
							If ( sCurrentCreditOwed >= dTaxAmount ) Then
								sCurrentCreditOwed	= sCurrentCreditOwed - dTaxAmount
								dTaxAmount			= 0
							ElseIf ( sCurrentCreditOwed > 0 ) And ( sCurrentCreditOwed < dTaxAmount) Then
								sCurrentCreditOwed	= 0
								dTaxAmount			= dTaxAmount - sCurrentCreditOwed
							End If
							If ( sCurrentCreditOwed >= dShippingFee ) Then
								sCurrentCreditOwed	= sCurrentCreditOwed - dShippingFee
								dShippingFee			= 0
							ElseIf ( sCurrentCreditOwed > 0 ) And ( sCurrentCreditOwed < dShippingFee) Then
								sCurrentCreditOwed	= 0
								dShippingFee		= dShippingFee - sCurrentCreditOwed
							End If
							If ( sCurrentCreditOwed >= dHandlingFee ) Then
								sCurrentCreditOwed	= sCurrentCreditOwed - dHandlingFee
								dHandlingFee			= 0
							ElseIf ( sCurrentCreditOwed > 0 ) And ( sCurrentCreditOwed < dHandlingFee) Then
								sCurrentCreditOwed	= 0
								dHandlingFee		= dHandlingFee - sCurrentCreditOwed
							End If
							
							'if sHandlingVisibility is "N" handling needs to be 0 because it will have already been added to the shipping
							'	--but if it's Y then need to subtract the handling fee from the shipping fee(it'll already have been added when the order was saved) and then this
							'		value should be set to the handling fee
							If ( Trim(UCase(rsStoreData("HandlingVisibility"))) = "Y" ) Then
								If ( dShippingFee-dHandlingFee > 0 ) Then
									iQty = iQty + 1
									%>
									<input type="hidden" name="item_name_<%=iQty%>" value="<%=Server.HTMLEncode(sShipDetails)%>">
									<input type="hidden" name="item_number_<%=iQty%>" value="-1">
									<input type="hidden" name="amount_<%=iQty%>" value="<%=FormatNumber(dShippingFee-dHandlingFee,2)%>">
									<%
								End If
								If ( dHandlingFee > 0 ) Then
									iQty = iQty + 1
									%>
									<input type="hidden" name="item_name_<%=iQty%>" value="<%=Server.HTMLEncode(LANG_DT( "PAYPAL_HANDLING", "Handling" ))%>">
									<input type="hidden" name="item_number_<%=iQty%>" value="-1">
									<input type="hidden" name="amount_<%=iQty%>" value="<%=FormatNumber(dHandlingFee,2)%>">
									<%
								End If
							Else
								If ( dShippingFee > 0 ) Then
									iQty = iQty + 1
									%>
									<input type="hidden" name="item_name_<%=iQty%>" value="<%=Server.HTMLEncode(sShipDetails)%>">
									<input type="hidden" name="item_number_<%=iQty%>" value="-1">
									<input type="hidden" name="amount_<%=iQty%>" value="<%=FormatNumber(dShippingFee,2)%>">
									<%
								End If
							End If
							If ( dTaxAmount > 0 ) Then
								iQty = iQty + 1
								%>
								<input type="hidden" name="item_name_<%=iQty%>" value="<%=Server.HTMLEncode(LANG_DT( "PAYPAL_TAXES", "Taxes" ))%>">
								<input type="hidden" name="item_number_<%=iQty%>" value="-1">
								<input type="hidden" name="amount_<%=iQty%>" value="<%=FormatNumber(dTaxAmount,2)%>">
							<%End If%>
							<input type="hidden" name="email" value="<%=Server.HTMLEncode(ACCNT_ReturnADV("OW_CUSTEMAIL", "V", iLoginAccountUnq, C_OVERRIDE_ADV))%>">
							<input type="hidden" name="first_name" value="<%=Server.HTMLEncode(ACCNT_ReturnADV("OW_CUSTFNAME", "V", iLoginAccountUnq, C_OVERRIDE_ADV))%>">
							<input type="hidden" name="last_name" value="<%=Server.HTMLEncode(ACCNT_ReturnADV("OW_CUSTLNAME", "V", iLoginAccountUnq, C_OVERRIDE_ADV))%>">
							<input type="hidden" name="address1" value="<%=Server.HTMLEncode(rsStoreData("address"))%>">
							<input type="hidden" name="city" value="<%=Server.HTMLEncode(rsStoreData("city"))%>">
							<input type="hidden" name="state" value="<%=Server.HTMLEncode(rsStoreData("statecode"))%>">
							<input type="hidden" name="zip" value="<%=Server.HTMLEncode(rsStoreData("zip"))%>">
							<input type="hidden" name="quantity" value="<%=iQty%>">
	 						<%
	 					Else
	 						%><input type="hidden" name="quantity" value="<%=iQty%>"><%
						End If
						Call DB_closeRecordset(rsStoreData)
						%>
			</form>
			
			<table width=<%=sOWStoreTableWidth%> border=0 style='border: 1px solid #000000;' cellspacing=0 cellpadding=5 width=100% height=100%>
				<tr height=15 bgcolor="#eeeeee"><td style='border-bottom: 1px solid #000000;'><b><%=LANG_DT( "PAYMENTPAYPAL_HEAD", "PayPal Payment Processing" )%></b></td></tr>
				<tr>
					<td align=center valign=center>
						<%If ( sOWPayPalEmail = "" ) Then%>
						<%=LANG_DT( "PAYMENTPAYPAL_PAYPALINFO", "The store has not yet been set up with the PayPal payment information required to finalize this transaction. Please return and select a different payment method or cancel your order. Please contact support for more information." )%>
						<%Else%>
						<script language = "javascript">
						
							document.PayPalOrder.submit();
						
						</script>
						Redirecting to PayPal.<br>
						Please wait...
						<!input type="image" src="http://www.paypal.com/en_US/i/btn/x-click-but01.gif" name="submit" alt="<%=LANG_DT( "PAYMENTPAYPAL_PAYPALALT", "Make payments with PayPal - it's fast, free and secure!" )%>">
						<%End If%>
					</td>
				</tr>
			</table>
			<%
		
	End Sub
	'************************************************************************************
%>