<!--#include file="../owFunctions/I_GeneralFunctions.asp"-->
<!--#include file="../owFunctions/I_StoreFront.asp"-->
<%
	Call SF_OpenPage()
	
	Server.ScriptTimeout = 200000	' so when people download long videos, etc. it doesn't time-out
	
	sIDOrder		= Trim(Request("sIDOrder"))
	sIDOrderProd	= Trim(Request("sIDOrderProd"))

	' get the domain name of the referrer
	sTemp		= Trim(Request.ServerVariables("HTTP_REFERER"))
	bDisplay	= TRUE

	If ( bDisplay ) Then
		Set objStream = Server.CreateObject("ADODB.Stream")

		objStream.Type = 1 'adTypeBinary
		objStream.Open

		On Error Resume Next
		
		' check both the sIDOrderProd and sIDOrder to ensure no hacking
		'	(if someone enters their idorder - from any random order - then guesses an idorderprod number, they'd get past both this check and the one below -- if i don't also check the idorder here)
		sSQLText = "SELECT * FROM OrdersProdRef (NOLOCK) WHERE idOrderProd = " & sIDOrderProd & " AND idOrder = " & sIDOrder
		Call DB_getFromDatabase(sSQLText, rsStoreData, "") 
		If ( rsStoreData.EOF ) Then
			Call owMessage(LANG_DT( "DOWNLOADA_NOINFO", "Unable to find digital download order information." ), C_ERROR)
		Else		
			sDigitalDownload	= Trim(rsStoreData("DigitalDownload"))
			sExpireDays			= CInt(rsStoreData("ExpireDays"))
			sAllowedDownloads	= CInt(rsStoreData("AllowedDownloads"))
			sNumDownloads		= CInt(rsStoreData("NumDownloads"))

			If ( sDigitalDownload = "" ) Then
				Call owMessage(LANG_DT( "DOWNLOADA_NOFILENAME", "Digital Download filename is missing from the database for this order." ), C_ERROR)
			Else
				If ( sNumDownloads >= sAllowedDownloads ) Then		' less than, equal, because we start NumDownloads in the db at 0
					' error
					Call owMessage(LANG_DT( "DOWNLOADA_MAXEDDLS", "Sorry, you have surpassed the maximum allowed number of downloads for this product. Please <a href='../owContactUs.asp'>contact the store manager</a> for more information." ), C_ERROR)
				Else
					If ( DateDiff("d", Now, pOrderDate) > sExpireDays ) Then
						' error
						Call owMessage(LANG_DT( "DOWNLOADA_EXPIRED", "Sorry, the expiration time has elapsed to download this product. Please <a href='../owContactUs.asp'>contact the store manager</a> for more information." ), C_ERROR)
					Else
						' double check to make sure that this order is owned by the person download it and that they didn't just put stuff on the querystring
						sSQLText = "SELECT AccountUnq FROM Orders (NOLOCK) WHERE idOrder = " & sIDOrder
						Call DB_getFromDatabase(sSQLText, rsStoreData2, "") 
						If ( rsStoreData2.EOF ) Then
							' error
							Call owMessage(LANG_DT( "DOWNLOADA_NOORDER", "Unable to find this order in the database." ), C_ERROR)
						Else
							If ( CStr(rsStoreData2("AccountUnq")) <> CStr(iLoginAccountUnq) ) Then
								' error
								Call owMessage(LANG_DT( "DOWNLOADA_WRONGORDER", "Sorry, this is not your order. Please <a href='../owContactUs.asp'>contact the store manager</a> for more information." ), C_ERROR)
							Else
								' the order matches w/ the customer currently logged in
								sFilePath	= sOWDownloadDir & "/" & sDigitalDownload
								sFilePath	= Replace(sFilePath, "\", "/")
								sFilePath	= Replace(sFilePath, "//", "/")
								sFilePath	= Server.MapPath(sFilePath)
								' check to see if the file size exceeds the default buffer size of 4 megs, if so, just redirect to the file
								Set fso = server.CreateObject("Scripting.FileSystemObject")
								If ( fso.FileExists(sFilePath) ) Then	
									Set f = fso.GetFile(sFilePath)
									iFileSize = f.size
									Set f = Nothing
								End If
								Set fso = Nothing

								If ( iFileSize > 4000000) Then
									Call owMessage(Replace(Replace(LANG_DT( "DOWNLOADA_OVERSIZEDL", "Click <a href='1:/2:'>HERE</a> to download the file.<br><Br>Thank You!" ), "1:", sOWDownloadDir), "2:", sDigitalDownload), C_SUCCESS)
								Else
									objStream.LoadFromFile(sFilePath)
									If ( Err.Number <> 0 ) Then
										Call owMessage(LANG_DT( "DOWNLOADA_MISSINGFILE", "Unable to find the file. Please <a href='../owContactUs.asp'>contact the store manager</a>. Thank You!" ), C_ERROR)
									Else
										'Output the contents of the stream object
										Response.Expires = 0
										Response.Buffer = TRUE
										Response.Clear
										Response.AddHeader "Content-Disposition","attachment; filename=""" & sDigitalDownload & """"
										Response.ContentType = "application/unknown"
										
										Response.BinaryWrite objStream.Read
										If ( Err.Number <> 0 ) Then
											Call owMessage(LANG_DT( "DOWNLOADA_FILEOPENERROR", "Unable to open the demo zip file. Please <a href='../owContactUs.asp'>contact the store manager</a>. Thank You!" ), C_ERROR)
										Else
											Call DB_updateDatabase("UPDATE OrdersProdRef SET NumDownloads = " & ( sNumDownloads + 1 ) & " WHERE idOrderProd = " & sIDOrderProd & " AND idOrder = " & sIDOrder)
										End If
									End If
								End If
							End If
						End If
						Call DB_closeRecordset(rsStoreData2)
					End If
				End If
			End If
		End If
		Call DB_closeRecordset(rsStoreData)
	End If
%>