<!--#include file="../owFunctions/I_GeneralFunctions.asp"-->
<!--#include file="../owFunctions/I_Cart.asp"-->
<!--#include file="../owFunctions/I_StoreFront.asp"-->
<%
	'************************************************************************************
	'*																					*
	'*	MODIFICATION TO THIS SCRIPT OR ANY FILES INCLUDED WITH 							*
	'*		ONEWORLDSTOREFRONT IS DONE AT YOUR OWN RISK!								*
	'*	Product  : OneWorldStoreFront													*

	'*	Copyright:	Copyright (C) 2004 OneWorldStoreFront.Com							*
	'*				Registration Number: 1024507										*
	'*				http://strategis.ic.gc.ca/											*
	'*																					*
	'************************************************************************************

	Call SF_OpenPage()
	Call ActionSubroutine()

	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub ActionSubroutine()

		If ( Cint(CART_CountRows()) = 0 ) Then
			Call owMessage(LANG_DT( "RECALC_EMPTYCART", "Your cart is empty." ), C_ERROR)
		Else
			iTotalQty = 0

			' iterate through the cart in order to identify wich items have changed the quantity
			sSQLText = "SELECT * FROM CartProducts CP (NOLOCK), Products P (NOLOCK) WHERE CP.idProduct = P.idProduct AND CP.IDCart = " & sIDCart
			Call DB_getFromDatabase(sSQLText, rsStoreData, "") 
			While ( ( NOT rsStoreData.EOF ) And ( sError = "" ) )
				sTemp = CONVERSION_Numeric(Request("sIDCartRow_" & rsStoreData("idCartRow")), C_INTEGER)
				If ( ( sTemp <> CInt(rsStoreData("Quantity")) ) Or ( sTemp = 0 ) ) Then
					sIDCartRow = rsStoreData("idCartRow")
					
					If ( sTemp = 0 ) Then
						' remove from cartRowOptions
						call DB_updateDatabase("DELETE FROM CartProductsOptions WHERE idCartRow = " & sIDCartRow)
				
						' remove from cartRow
						call DB_updateDatabase("DELETE FROM CartProducts WHERE idCartRow = " & sIDCartRow)
					Else
						iTotalQty = iTotalQty + sTemp	' increment the total quantity here because sometimes the user will drop the number of products
						If ( iTotalQty <= dOWCartQuantityLimit ) Then
							sIDProduct		= rsStoreData("idProduct")
							sPrice			= rsStoreData("price") 
							sBtoBPrice		= rsStoreData("bToBPrice") 
							sUnitPrice		= rsStoreData("unitPrice") 
							sUnitBtoBPrice	= rsStoreData("unitBtoBPrice") 
							
							sSQLText = "SELECT stock FROM Products (NOLOCK) WHERE idProduct = " & sIDProduct
							Call DB_getFromDatabase(sSQLText, rsStoreData2, "")          
							If ( NOT rsStoreData2.EOF ) Then
								If ( ( sTemp > CInt(rsStoreData2("stock")) ) And ( sOWUnderStockBehavior = 0 ) ) Then
									sError = LANG_DT( "RECALC_STOCKLIMIT", "You cannot add that quantity due to stock limitations." )
								End If 
							End If
							Call DB_closeRecordset(rsStoreData2)
							
							If ( sError = "" ) Then
								If ( sTemp > dOWMaxCartQty ) Then	' check that the customer doesn't add more than dOWMaxCartQty of any single product to the cart
									sError = LANG_DT( "RECALC_STORELIMIT", "You cannot add that quantity due to store settings." )
								Else
									' update cart quantity and restore original price
									sSQLText = "UPDATE CartProducts SET quantity = " & sTemp & ", unitPrice = " & sPrice & ", unitBtoBPrice = " & sBtoBPrice & " WHERE idCartRow =  " & sIDCartRow
									call DB_updateDatabase(sSQLText)
								End If
							End If
						Else
							sError = Replace(LANG_DT( "RECALC_CARTLIMIT", "You cannot add that quantity. The cart cannot hold more than 1: items and by adding this many products, the cart maximum will be exceeded." ), "1:", dOWCartQuantityLimit)
							rsStoreData.MoveLast	' break out of the While loop
						End If
					End If
	
				End If

				rsStoreData.MoveNext
			Wend
			Call DB_closeRecordset(rsStoreData)
			If ( sError = "" ) Then
				response.redirect "owShowCart.asp"
			Else
				Call owMessage(sError, C_ERROR)
			End If
		End If
		
	End Sub
	'************************************************************************************
%>