<!--#include file="../owFunctions/I_GeneralFunctions.asp"-->
<%sPath = "../"%>
<!--#include file="../owTemplates/Template_AllLeft.asp"-->
<!--#include file="PaymentMethods/owPayPal.asp"-->
<%
	'************************************************************************************
	'*																					*
	'*	MODIFICATION TO THIS SCRIPT OR ANY FILES INCLUDED WITH 							*
	'*		ONEWORLDSTOREFRONT IS DONE AT YOUR OWN RISK!								*
	'*	Product  : OneWorldStoreFront													*

	'*	Copyright:	Copyright (C) 2004 OneWorldStoreFront.Com							*
	'*				Registration Number: 1024507										*
	'*				http://strategis.ic.gc.ca/											*
	'*																					*
	'************************************************************************************


	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub ActionSubroutine()
	
		if bOWStoreClosed then
			' this is a double check (1st check is in owCheckOut.asp) to prevent anyone from tinkering
			Call owMessage(LANG_DT( "CHECKOUT_CLOSED", "Unfortunately the store has been closed.<br><br>Feel free to continue ""window-shopping"", but you may not check out." ), C_ERROR)
		Else
			sSQLText = "SELECT idOrder, Total, DiscountCode FROM Orders WHERE SessionID = '" & Session.SessionID & "' AND OrderStatus = " & C_UNFINALIZED
			Call DB_getFromDatabase(sSQLText, rsStoreData, "")   
			If ( NOT rsStoreData.EOF ) Then
				sIDOrder		= rsStoreData("idOrder")
				sTotal			= CDbl(rsStoreData("Total"))		' for use w/ credit usage
				sDiscountCode	= rsStoreData("idOrder")			' used later when deciding to set the code as used or not
				Call DB_closeRecordset(rsStoreData)
			
				' must get this first in case the credit information below changes the payment method to blank
				If ( sTotal > 0 ) Then	' if the total is 0 then don't forward to a payment method, and set the order as paid
					sPaymentMethod = CONVERSION_Numeric(Request("sPaymentMethod"), C_INTEGER)
				End If
	
				If ( sError = "" ) Then
					' the order has been saved so delete the old cart info
					sSQLText = "SELECT * FROM CartProducts WHERE idCart = " & sIDCart
					Call DB_getFromDatabase(sSQLText, rsStoreData, "")
					While ( NOT rsStoreData.EOF )
						Call DB_updateDatabase("DELETE FROM CartProductsOptions WHERE idCartRow = " & rsStoreData("idCartRow"))
						rsStoreData.MoveNext
					Wend
					Call DB_closeRecordset(rsStoreData)
					
					Call DB_updateDatabase("DELETE FROM CartProducts WHERE idCart = " & sIDCart)
					Call DB_updateDatabase("DELETE FROM CartShipSecurity WHERE idCart = " & sIDCart)
					Call DB_updateDatabase("DELETE FROM Cart WHERE SessionUnq = '" & Session.SessionID & "'")
					
					Call SendFinalizedEmails(sIDOrder)
			
					If ( sCreditToUse >= sTotal ) Or ( sTotal = 0 ) Then
						Call DB_updateDatabase("UPDATE Orders SET OrderStatus = " & C_PAID & " WHERE idOrder = " & sIDOrder)
					Else
						Call DB_updateDatabase("UPDATE Orders SET OrderStatus = " & C_PENDING & " WHERE idOrder = " & sIDOrder)
					End If
				
					sSQLText = "SELECT OPR.idProduct, OPR.Quantity, P.Description, P.Stock, P.Sales, P.StockSecurity, P.StockCostOrder, P.StockDelay, P.StockMinimumOrder FROM OrdersProdRef OPR (NOLOCK), Products P (NOLOCK) WHERE OPR.idOrder = " & sIDOrder & " AND OPR.idProduct = P.idProduct"
					Call DB_getFromDatabase(sSQLText, rsStoreData2, "")
					While ( NOT rsStoreData2.EOF )
						' go through and add the Quantity to the number sold of each product within this order
						'	also remove Quantity to the number in stock
						iStock			= CONVERSION_Numeric(rsStoreData2("Stock"), C_INTEGER) - rsStoreData2("Quantity")
						iStockSecurity	= CONVERSION_Numeric(rsStoreData2("StockSecurity"), C_INTEGER)
						
						sSQLText = "UPDATE Products SET Sales = " & (rsStoreData2("Sales")+rsStoreData2("Quantity")) & ", Stock = " & iStock & " WHERE idProduct = " & rsStoreData2("idProduct")
						call DB_updateDatabase(sSQLText)
						
						If ( iStockSecurity >= iStock ) Then	' check stock levels
							sDescription = rsStoreData2("Description")
							
							sEmailBody = LANG_DT( "STOCKLEVELALERT_EMAIL", "" )
							sEmailBody = Replace(sEmailBody, "#COMPANY#", sOWCompany)
							sEmailBody = Replace(sEmailBody, "#PRODUCT#", sDescription)
							sEmailBody = Replace(sEmailBody, "#SALES#", rsStoreData2("Sales"))
							sEmailBody = Replace(sEmailBody, "#STOCK#", rsStoreData2("Stock"))
							sEmailBody = Replace(sEmailBody, "#ALERT#", rsStoreData2("StockSecurity"))
							sEmailBody = Replace(sEmailBody, "#REORDERCOST#", rsStoreData2("StockCostOrder"))
							sEmailBody = Replace(sEmailBody, "#REORDERDAYS#", rsStoreData2("StockDelay"))
							sEmailBody = Replace(sEmailBody, "#MINORDER#", rsStoreData2("StockMinimumOrder"))
							'Stock level alert for: #PRODUCT#
							'
							'Stock information:
							'-----------------------------------------------------
							'Sales: #SALES#
							'Current Stock Level: #STOCK#
							'Stock Alert Level: #ALERT#
							'Reorder Cost: #REORDERCOST#
							'Reorder Time (days): #REORDERDAYS#
							'Minimum Order: #MINORDER#
							'-----------------------------------------------------
							'
							'#COMPANY#
							'
							'Powered by OneWorldStoreFront
							'http://www.OneWorldStoreFront.com
						
							sSubject = Replace(LANG_DT( "STOCKLEVELALERT_EMAIL_SUBJECT", "Stock level alert: #PRODUCT#" ), "#PRODUCT#", sDescription)
							Call sendMail(sOWCompany, sOWEmailSender, sOWEmailSender, sSubject, sEmailBody)
						End If
						
						rsStoreData2.MoveNext
					Wend
					Call DB_closeRecordset(rsStoreData2)
					
					' check if there was a discount code used, if there was, check to see if it's a one-time-use one. if so, set as used
					sSQLText = "SELECT Reusable FROM DiscountCodes WHERE Code = '" & SQLEncode(sDiscountCode) & "'"
					Call DB_getFromDatabase(sSQLText, rsStoreData2, "")
					If ( NOT rsStoreData2.EOF ) Then
						If ( Trim(rsStoreData("Reusable")) = "N" ) Then
							call DB_updateDatabase("UPDATE DiscountCodes SET Status = 'U' WHERE Code = '" & SQLEncode(sDiscountCode) & "'")
						End If
					End If
					Call DB_closeRecordset(rsStoreData2)
					
					' go to a payment form or to default order confirmation
					Select Case sPaymentMethod
						Case C_PM_Offline
							Response.Redirect "PaymentMethods/owOfflineCC.asp?idOrder=" & sIDOrder
						Case C_PM_PayPal
							Call RunPayPal(sIDOrder)
						Case C_PM_MAILIN
							Response.Redirect "PaymentMethods/owMailIn.asp?idOrder=" & sIDOrder
						Case C_PM_FAXIN
							Response.Redirect "PaymentMethods/owFaxIn.asp?idOrder=" & sIDOrder
						Case C_PM_PHONEIN
							Response.Redirect "PaymentMethods/owPhoneIn.asp?idOrder=" & sIDOrder
						Case C_PM_COD
							Response.Redirect "PaymentMethods/owCOD.asp?idOrder=" & sIDOrder
						Case Else
							Response.Redirect "CustomerAdmin/owSavedOrderDetails.asp?idOrder=" & sIDOrder & "&sAction=New"
					End Select
				Else
					Response.Redirect "owOrderVerify.asp?sError=" & sError & "&sPaymentMethod=" & sPaymentMethod
				End If
			Else
				' missing IDOrder and order information -- session has expired or they hit "back" in their browser from the confirmation pag and resubmitted the order
				Call DB_closeRecordset(rsStoreData)
				Response.Redirect "CustomerAdmin/owCustomerAdminMain.asp"
			End If
		End If

	end Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub SendFinalizedEmails(sIDOrder)

		sSQLText = "SELECT AccountUnq, Address, CustomerComments, PaymentMethod, PaymentMethodFee, ShipmentDetails, ShippingFee, TaxAmount, Total FROM Orders WHERE idOrder = " & sIDOrder
		Call DB_getFromDatabase(sSQLText, rsStoreData, "")
		If ( NOT rsStoreData.EOF ) Then
			sAccountUnq			= rsStoreData("AccountUnq")
			sFName				= ACCNT_ReturnADV("OW_CUSTFNAME", "V", sAccountUnq, C_OVERRIDE_ADV)
			sLName				= ACCNT_ReturnADV("OW_CUSTLNAME", "V", sAccountUnq, C_OVERRIDE_ADV)
			sPhone				= ACCNT_ReturnADV("OW_CUSTPHONE", "V", sAccountUnq, C_OVERRIDE_ADV)
			sEmail				= ACCNT_ReturnADV("OW_CUSTEMAIL", "V", sAccountUnq, C_OVERRIDE_ADV)
			sAddress			= Trim(rsStoreData("Address"))
			sComments			= Trim(rsStoreData("CustomerComments"))
			sPaymentDetails		= Trim(rsStoreData("PaymentMethod")) & " : " & CONVERSION_Currency(Trim(rsStoreData("PaymentMethodFee"))) & " extra"
			pShipmentDetails	= Trim(rsStoreData("ShipmentDetails")) & " : " & CONVERSION_Currency(Trim(rsStoreData("ShippingFee")))
			sTaxAmount			= Trim(rsStoreData("TaxAmount"))
			sTotalAmount		= Trim(rsStoreData("Total"))
		End If
		Call DB_closeRecordset(rsStoreData)


		sSQLText = "SELECT * FROM OrdersProdRef OPR, products P WHERE OPR.idProduct = P.idProduct AND OPR.idOrder = " & sIDOrder
		Call DB_getFromDatabase(sSQLText, rsStoreData, "")    
		do while not rsStoreData.eof
			sIDProduct				= rsStoreData("idProduct")
			sQuantity				= rsStoreData("quantity")
			sUnitPrice				= Cdbl(rsStoreData("unitPrice"))
			sUnitBtoBPrice			= Cdbl(rsStoreData("unitBtoBPrice"))
			sDescription			= rsStoreData("description")
			sSku					= rsStoreData("sku")
			'sDetails				= rsStoreData("Details")
			sOptionGroupsTotal		= 0
			sOptionsDescripCompound	= ""

			' get optionals for current cart row
			sSQLText = "SELECT OptionDescription, PriceToAdd, OptionGroupDescription, TextDetail FROM OrdersProdOptions WHERE idOrder = " & sIDOrder & " AND idProduct = " & sIDProduct
			Call DB_getFromDatabase(sSQLText, rsStoreData2, "")
			do while not rsStoreData2.eof
				sPriceToAdd				= Cdbl(rsStoreData2("PriceToAdd"))
				sOptionDescrip			= rsStoreData2("OptionDescription")
				sOptionGroupDescription	= rsStoreData2("OptionGroupDescription")
				sOptionsDescripCompound	= sOptionsDescripCompound & sOptionGroupDescription & " : " & sOptionDescrip & " "
				if sPriceToAdd > 0 then
					sOptionsDescripCompound	= sOptionsDescripCompound & " : " & CONVERSION_Currency(sPriceToAdd)
				End If
				sOptionsDescripCompound	= sOptionsDescripCompound & VbCrlf
				sOptionGroupsTotal		= sOptionGroupsTotal + sPriceToAdd
				sTextDetail				= rsStoreData2("TextDetail")
				rsStoreData2.movenext
			loop      
			Call DB_closeRecordset(rsStoreData2)

			if ACCNT_InGroup(iLoginAccountUnq, C_GROUP_RETAIL) then
				sRowPrice = Cdbl(sQuantity * (sOptionGroupsTotal + sUnitPrice) )         
			else
				sRowPrice = Cdbl(sQuantity * (sOptionGroupsTotal + sUnitBtoBPrice) )                  
			End If             
			
			sDetails = sDetails & sQuantity & " x " & sSku & " - " & sDescription 
			If ( Trim(sOptionsDescripCompound) <> "" ) Then
				sDetails = sDetails & LANG_DT( "SAVEORDER_OPTIONS", " Options" ) & ": " & sOptionsDescripCompound
				If ( sTextDetail <> "" ) Then
					sDetails = sDetails & VbCrlf & sTextDetail & VbCrlf
				End If
			End If
			sDetails = sDetails & " = " & CONVERSION_Currency(sRowPrice) & Vbcrlf
			
			rsStoreData.movenext
		loop
		Call DB_closeRecordset(rsStoreData)
		
	
		' Send email to the store owner
		sOwnerBody = LANG_DT( "SAVEORDER_ORDERRECEIVED_OWNER_EMAIL", "" )
		sOwnerBody = Replace(sOwnerBody, "#DETAILS#", sDetails)
		sOwnerBody = Replace(sOwnerBody, "#NAME#", sFName & " " & sLName)
		sOwnerBody = Replace(sOwnerBody, "#EMAIL#", sEmail)
		sOwnerBody = Replace(sOwnerBody, "#ADDRESS#", sAddress)
		sOwnerBody = Replace(sOwnerBody, "#PHONE#", sPhone)
		sOwnerBody = Replace(sOwnerBody, "#COMMENTS#", sComments)
		sOwnerBody = Replace(sOwnerBody, "#PAYMENTDETAILS#", sPaymentDetails)
		sOwnerBody = Replace(sOwnerBody, "#SHIPDETAILS#", pShipmentDetails)
		sOwnerBody = Replace(sOwnerBody, "#TAXES#", CONVERSION_Currency(sTaxAmount))
		sOwnerBody = Replace(sOwnerBody, "#TOTAL#", CONVERSION_Currency(sTotalAmount))
'Details: 
'#DETAILS#
'Customer: #NAME#
'Email: #EMAIL#
'Address: #ADDRESS#
'Phone #: #PHONE#
'Comments: #COMMENTS#
'Payment: #PAYMENTDETAILS#
'Shipping: #SHIPDETAILS#
'Taxes: #TAXES#
'Order total: #TOTAL#
'OneWorldStoreFront
'http://www.OneWorldStoreFront.com
		
		sSubject = Replace(LANG_DT( "SAVEORDER_ORDERRECEIVED_OWNER_EMAIL_SUBJECT" ,"A customer has placed a new order (##ORDERNUM#)" ), "#ORDERNUM#", sOWOrderPrefix & sIDOrder)
		Call sendmail (sOWCompany, sOWEmailSender, sOWEmailAdmin, sSubject, sOwnerBody)

		sSQLText = "SELECT * FROM OrdersTaxes WHERE idOrder = " & sIDOrder & " ORDER BY CountryCode, StateCode, ZipCode"
		Call DB_getFromDatabase(sSQLText, rsStoreData, "")
		While ( NOT rsStoreData.EOF )
			sTaxDetail = sTaxDetail & VbTab & Trim(rsStoreData("TaxName")) & " : " & "%" & Trim(rsStoreData("Percentage")) & VbCrlf
			rsStoreData.MoveNext
		Wend
	
		' Send email to the customer if the "Save Order" email is enabled
		If ( NOT bOWDisableSaveOrderEmail ) Then
			sCustomerBody = LANG_DT( "SAVEORDER_ORDERRECEIVED_CUST_EMAIL", "" )
			sCustomerBody = Replace(sCustomerBody, "#NAME#", sFName & " " & sLName)
			sCustomerBody = Replace(sCustomerBody, "#COMPANY#", sOWCompany)
			sCustomerBody = Replace(sCustomerBody, "#DETAILS#", sDetails)
			sCustomerBody = Replace(sCustomerBody, "#PAYMENT#", sPaymentDetails)
			sCustomerBody = Replace(sCustomerBody, "#SHIPPING#", pShipmentDetails)
			sCustomerBody = Replace(sCustomerBody, "#TAXES#", CONVERSION_Currency(sTaxAmount))
			sCustomerBody = Replace(sCustomerBody, "#TAXDETAILS#", sTaxDetail)
			sCustomerBody = Replace(sCustomerBody, "#TOTAL#", CONVERSION_Currency(sTotalAmount))
			sCustomerBody = Replace(sCustomerBody, "#ADMINEMAIL#", sOWEmailAdmin)
'#NAME#
'#COMPANY#
'Your order consisted of: 
'#DETAILS#
'#PAYMENT#
'#SHIPPING#
'Applicable taxes: #TAXES#
'#TAXDETAILS#
'-------------------
'Total #TOTAL#
'
'#COMPANY#
'#ADMINEMAIL#
'Payment confirmation will be sent to you in a second email.
'Powered by OneWorldStoreFront
'http://www.OneWorldStoreFront.com

			sSubject = Replace(Replace(LANG_DT("SAVEORDER_ORDERRECEIVED_CUST_EMAIL_SUBJECT" ,"#COMPANY# thanks you for your order! (##ORDERNUM#)" ), "#COMPANY#", sOWCompany), "#ORDERNUM#", sOWOrderPrefix & sIDOrder)
			Call sendmail (sOWCompany, sOWEmailSender, sEmail, sSubject, sCustomerBody)
		End If

	End Sub
	'************************************************************************************
%>