<!--#include file="i_Globals.asp"--> 
<!--#include file="i_Database.asp"--> 
<!--#include file="I_Language.asp"-->
<!--#include file="i_Sessions.asp"--> 
<!--#include file="i_Config.asp"-->
<!--#include file="I_Encryption.asp"--> 
<!--#include file="I_Pagination.asp"--> 
<!--#include file="I_Email.asp"--> 
<!--#include file="I_Conversions.asp"-->
<!--#include file="I_Structure.asp"-->
<!--#include file="I_Accounts.asp"-->
<%
	'************************************************************************************
	'*																					*
	'*	MODIFICATION TO THIS SCRIPT OR ANY FILES INCLUDED WITH 							*
	'*		ONEWORLDSTOREFRONT IS DONE AT YOUR OWN RISK!								*
	'*	Product  : OneWorldStoreFront													*

	'*	Copyright:	Copyright (C) 2004 OneWorldStoreFront.Com							*
	'*				Registration Number: 1024507										*
	'*				http://strategis.ic.gc.ca/											*
	'*																					*
	'************************************************************************************

	Call DB_Connect()
	sOWDateFormat = owCONFIG_ReturnConfigValue("sOWDateFormat")	' this MUST go before ACCNT_LoginDetect() because that function uses this
	Call ACCNT_LoginDetect()
	Call Initialize()
	

	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub Initialize()

		sOWGatewayID				= owCONFIG_ReturnConfigValue("sOWGatewayID")
		sOWImagesDir				= owCONFIG_ReturnConfigValue("sOWImagesDir")
		sOWCategoryImage			= owCONFIG_ReturnConfigValue("sOWCategoryImage")
		sOWDownloadDir				= owCONFIG_ReturnConfigValue("sOWDownloadDir")
		sOWStoreUrlSSL				= owCONFIG_ReturnConfigValue("sOWStoreUrlSSL")
		sOWStoreUrlNonSSL			= owCONFIG_ReturnConfigValue("sOWStoreUrlNonSSL")
		sOWCustomerPrefix			= owCONFIG_ReturnConfigValue("sOWCustomerPrefix")
		sOWImageComponent			= owCONFIG_ReturnConfigValue("sOWImageComponent")
		sOWOrderFieldName1			= owCONFIG_ReturnConfigValue("sOWOrderFieldName1")
		sOWOrderFieldName2			= owCONFIG_ReturnConfigValue("sOWOrderFieldName2")
		sOWOrderFieldName3			= owCONFIG_ReturnConfigValue("sOWOrderFieldName3")
		sOWEmailAdmin				= owCONFIG_ReturnConfigValue("sOWEmailAdmin")
		sOWEmailSender				= owCONFIG_ReturnConfigValue("sOWEmailSender")
		sOWSmtpServer				= owCONFIG_ReturnConfigValue("sOWSmtpServer")
		sOWDebugEmail				= owCONFIG_ReturnConfigValue("sOWDebugEmail")
		sOWEmailComponent			= owCONFIG_ReturnConfigValue("sOWEmailComponent")
		sOWCurrencySymbol	 		= owCONFIG_ReturnConfigValue("sOWCurrencySymbol")
		sOWCurrencyCode				= owCONFIG_ReturnConfigValue("sOWCurrencyCode")
		sOWCompany	 				= owCONFIG_ReturnConfigValue("sOWCompany")
		sOWCompanyLogo	 			= owCONFIG_ReturnConfigValue("sOWCompanyLogo")
		sOWOrderPrefix				= owCONFIG_ReturnConfigValue("sOWOrderPrefix")
		sOWEncryptionMethod			= owCONFIG_ReturnConfigValue("sOWEncryptionMethod")
		sOWStoreTableWidth			= owCONFIG_ReturnConfigValue("sOWStoreTableWidth")
		sOWUnderStockBehavior		= CONVERSION_Numeric(owCONFIG_ReturnConfigValue("sOWUnderStockBehavior"), C_INTEGER)
		iOWRowsShown				= CONVERSION_Numeric(owCONFIG_ReturnConfigValue("iOWRowsShown"), C_INTEGER)
		iOWNumPerPage				= CONVERSION_Numeric(owCONFIG_ReturnConfigValue("iOWNumPerPage"), C_INTEGER)
		iOWIDLanguageSchemes		= CONVERSION_Numeric(owCONFIG_ReturnConfigValue("iOWIDLanguageSchemes"), C_INTEGER)
		bOWDoNotRoundMoney	 		= CONVERSION_Numeric(owCONFIG_ReturnConfigValue("bOWDoNotRoundMoney"), C_INTEGER)
		bOWShowStockView			= CONVERSION_Numeric(owCONFIG_ReturnConfigValue("bOWShowStockView"), C_INTEGER)
		bOWAllowNewCustomer			= CONVERSION_Numeric(owCONFIG_ReturnConfigValue("bOWAllowNewCustomer"), C_INTEGER)
		bOWUseVatNumber				= CONVERSION_Numeric(owCONFIG_ReturnConfigValue("bOWUseVatNumber"), C_INTEGER)
		bOWTaxIncluded				= CONVERSION_Numeric(owCONFIG_ReturnConfigValue("bOWTaxIncluded"), C_INTEGER)
		bOWByPassShipping			= CONVERSION_Numeric(owCONFIG_ReturnConfigValue("bOWByPassShipping"), C_INTEGER)
		bOWShowBtoBPrice			= CONVERSION_Numeric(owCONFIG_ReturnConfigValue("bOWShowBtoBPrice"), C_INTEGER)
		bOWDisableSaveOrderEmail	= CONVERSION_Numeric(owCONFIG_ReturnConfigValue("bOWDisableSaveOrderEmail"), C_INTEGER)
		bOWStoreClosed				= CONVERSION_Numeric(owCONFIG_ReturnConfigValue("bOWStoreClosed"), C_INTEGER)
		bOWEnableCategorySort		= CONVERSION_Numeric(owCONFIG_ReturnConfigValue("bOWEnableCategorySort"), C_INTEGER)
		bOWBackOfficeDemoMode 		= 0
		bOWAdvancedImages			= CONVERSION_Numeric(owCONFIG_ReturnConfigValue("bOWAdvancedImages"), C_INTEGER)
		bOWAllowShippingAddress		= CONVERSION_Numeric(owCONFIG_ReturnConfigValue("bOWAllowShippingAddress"), C_INTEGER)
		bOWForceToSelectOption		= CONVERSION_Numeric(owCONFIG_ReturnConfigValue("bOWForceToSelectOption"), C_INTEGER)
		dOWCartQuantityLimit		= CONVERSION_Numeric(owCONFIG_ReturnConfigValue("dOWCartQuantityLimit"), C_DOUBLE)
		dOWMaxCartQty				= CONVERSION_Numeric(owCONFIG_ReturnConfigValue("dOWMaxCartQty"), C_DOUBLE)
		dOWMinimumPurchase			= CONVERSION_Numeric(owCONFIG_ReturnConfigValue("dOWMinimumPurchase"), C_DOUBLE)
		
		If ( sOWCompanyLogo = "" ) Then
			' set to default
			sOWCompanyLogo = "owTemplates/images/logo.gif"
		End If
		
		If ( Trim(owCONFIG_ReturnConfigValue("sOWLCID")) <> "" ) Then
			Session.LCID = CInt(owCONFIG_ReturnConfigValue("sOWLCID"))
		Else
			Session.LCID = 1033
		End If
		
		' images with text on them, or multilingual images are now referenced like: owTemplates/Images/" & sOWLanguageCode & "/myimage.gif
		sOWLanguageCode = Application("sOWLanguageCode")
		If ( sOWLanguageCode = "" ) Then
			Dim rsStoreData
			set rsStoreData = CreateObject("ADODB.Recordset")
			sSQLText = "SELECT LanguageCode FROM LanguageSchemes WHERE idLanguageSchemes = " & iOWIDLanguageSchemes
			call DB_getFromDatabase (sSQLText, rsStoreData, "")
			If ( NOT rsStoreData.EOF ) Then
				sOWLanguageCode = Trim(rsStoreData("LanguageCode"))
				Application.Lock
				Application("sOWLanguageCode") = sOWLanguageCode
				Application.Unlock
			Else
				sOWLanguageCode = "eng"		' default to English
			End If
			Call DB_closeRecordset(rsObject)
			Set rsStoreData = Nothing
		End If

	End Sub
	'************************************************************************************
%>