<%
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Function STRUCTURE_TerritoryLabel(sCountryCode)
		
		Dim rsStoreData
		
		STRUCTURE_TerritoryLabel = LANG_DT( "STATE", "State" )	' set to "State" in case there is nothing else found
		If ( sCountryCode <> "" ) Then
			set rsStoreData	= CreateObject("ADODB.Recordset")
			sSQLText = "SELECT TerritoryLabel FROM CountryCodes WHERE CountryCode = '" & sCountryCode & "'"
			call DB_getFromDatabase(sSQLText, rsStoreData, "")
			If ( NOT rsStoreData.EOF ) Then
				STRUCTURE_TerritoryLabel = rsStoreData("TerritoryLabel")
				If ( IsNull(STRUCTURE_TerritoryLabel) ) Then
					STRUCTURE_TerritoryLabel = LANG_DT( "STATE", "State" )
				End If
			End If
			set rsStoreData	= Nothing
		End If
		
	End Function
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Function STRUCTURE_PostalCodeLabel(sCountryCode)
		
		Dim rsStoreData
		
		STRUCTURE_PostalCodeLabel = LANG_DT( "POSTAL_CODE", "Postal Code" )
		If ( sCountryCode <> "" ) Then
			set rsStoreData	= CreateObject("ADODB.Recordset")
			sSQLText = "SELECT PostalCodeLabel FROM CountryCodes WHERE CountryCode = '" & sCountryCode & "'"
			call DB_getFromDatabase(sSQLText, rsStoreData, "")
			If ( NOT rsStoreData.EOF ) Then
				STRUCTURE_PostalCodeLabel = rsStoreData("PostalCodeLabel")
				If ( IsNull(STRUCTURE_PostalCodeLabel) ) Then
					STRUCTURE_PostalCodeLabel = LANG_DT( "POSTAL_CODE", "Postal Code" )
				End If
			End If
			set rsStoreData	= Nothing
		End If
		
	End Function
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub VALIDATE_textbox(fieldName , sFieldValue, fieldSize, fieldType, sAltTagValidation) 
	
		Call VALIDATE_TextBoxExtended(fieldName , sFieldValue, fieldSize, fieldType, sAltTagValidation, -1)
	
	End Sub
	'************************************************************************************
	

	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub VALIDATE_TextBoxExtended(fieldName , sFieldValue, fieldSize, fieldType, sAltTagValidation, iMaxLength)
	
		If ( IsNull(sFieldValue) ) Then
			sFieldValue = ""	' in case it's null straight from the database
		End If
	
		Select Case fieldType
			Case "textbox"
				If ( iMaxLength = -1 ) Then
					%><input name="<%=fieldName%>" size="<%=fieldSize%>" value="<%=Server.HTMLEncode(sFieldValue)%>" alt="<%=sAltTagValidation%>"><%
				Else
					%><input name="<%=fieldName%>" size="<%=fieldSize%>" value="<%=Server.HTMLEncode(sFieldValue)%>" alt="<%=sAltTagValidation%>" maxlength="<%=iMaxLength%>"><%
				End If
			
			Case "password"
				If ( iMaxLength = -1 ) Then
					%><input name="<%=fieldName%>" type="password" size="<%=fieldSize%>" value="<%=Server.HTMLEncode(sFieldValue)%>" alt="<%=sAltTagValidation%>"><%
				Else
					%><input name="<%=fieldName%>" type="password" size="<%=fieldSize%>" value="<%=Server.HTMLEncode(sFieldValue)%>" alt="<%=sAltTagValidation%>" maxlength="<%=iMaxLength%>"><%
				End If
			
			Case "textarea"
				%><textarea name="<%=fieldName%>" rows="5" cols="<%=fieldSize%>" alt="<%=sAltTagValidation%>"><%=sFieldValue%></textarea><%
		
		End Select 
	
	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	Displays a message. The sType determines if it's an "error" or "success" 		*
	'*		message. C_SUCCESS or C_ERROR are the two types.							*
	'*																					*
	'************************************************************************************
	Sub owMessage(sText, sType)
	
		If ( sText <> "" ) Then
			Dim sColorType
			
			If ( sType = C_ERROR ) Then
				sColorType = "660000"
			Else
				sColorType = "000066"
			End If
			%>
			<table width=<%=sOWStoreTableWidth%> border=0 style='border: 1px solid #000000;' cellspacing=0 cellpadding=5>
				<tr>
					<td align=center>
						<br>
						<table><tr><td><b><%=sText%></b></td></tr></table>
						<br>
					</td>
				</tr>
			</table>
			<%
		End If
		
	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub STRUCTURE_RecurseCategories(sIDParentCat, iLevel, sDisplay, sSearchCatID)
		
		Dim rsStoreData
		Set rsStoreData	= CreateObject("ADODB.Recordset")
		
		sSQLText = "SELECT * FROM Categories WHERE Active = -1 AND idParentCategory = " & sIDParentCat & " ORDER BY DisplayOrder, CategoryDesc"
		Call DB_getFromDatabase (sSQLText, rsStoreData, "")
		While ( NOT rsStoreData.EOF )
			Select Case sDisplay
				Case "SELECT"
					If ( CInt(sSearchCatID) = CInt(rsStoreData("idCategory")) ) Then
						Response.Write "<option value='" & rsStoreData("idCategory") & "' SELECTED>" & String(iLevel*2, "-") & rsStoreData("CategoryDesc") & "</option>"
					Else
						Response.Write "<option value='" & rsStoreData("idCategory") & "'>" & String(iLevel*2, "-") & rsStoreData("CategoryDesc") & "</option>"
					End If
				Case "BREADCRUMB"
					Response.Write "<a href='owListProduct.asp?idCategory=" &arrCategories(f,1) & "'>" & arrCategories(f,0) &"</a>" & "&nbsp;&#151;&nbsp;"
			End Select
			iLevel = iLevel + 1
			Call STRUCTURE_RecurseCategories(rsStoreData("idCategory"), iLevel, sDisplay, sSearchCatID)
			iLevel = iLevel - 1
			rsStoreData.MoveNext
		Wend
		Call DB_closeRecordset(rsStoreData)
		Set rsStoreData	= Nothing
		
	End Sub
	'************************************************************************************
	
	
	
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub STRUCTURE_Breadcrumbs(sBreadCrumb, iParentUnq)
	
		Dim rsStoreData

		If ( iParentUnq = "" ) Then
			iParentUnq = 0
		Else
			If ( IsNumeric(iParentUnq) ) Then
				iParentUnq = CDbl(iParentUnq)
			Else
				iParentUnq = 0
			End If
		End If

		Set rsStoreData = CreateObject("ADODB.Recordset")
		sSQLText = "SELECT categoryDesc, idParentcategory FROM categories WHERE idCategory=" & iParentUnq
		Call DB_getFromDatabase (sSQLText, rsStoreData, "")
		If ( NOT rsStoreData.EOF ) Then
			if sBreadCrumb = "" then
				' this is the last entry, so end with two <br> tags
				sBreadCrumb = "<B>" & rsStoreData("categoryDesc") & "</b>"
			else
				If ( rsStoreData("idParentcategory") <> 0 ) Then	' don't display "Root"
					sBreadCrumb = "<a href='owListProduct.asp?idCategory=" & iParentUnq & "'>" & rsStoreData("categoryDesc") & "</a>&nbsp;--&nbsp;" & sBreadCrumb
				End If
			end if
			Call STRUCTURE_Breadcrumbs(sBreadCrumb, rsStoreData("idParentcategory"))
		End If
		Call DB_closeRecordset(rsStoreData)
		Set rsStoreData = Nothing
		
	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Function STRUCTURE_ReturnCity(sCountryCode, sZip, sState)
	
		Dim rsStoreData, sSQLText
	
		Select Case UCase(Trim(sCountryCode))
			Case "US"
				sSQLText = "SELECT CZ.City AS City, SC.StateName AS State FROM CountryUSZipCode CZ LEFT OUTER JOIN StateCodes SC ON CZ.StateCode = SC.StateCode WHERE CountryUSZipCode = '" & SQLEncode(sZip) & "'"
			Case "CA"
				sSQLText = "SELECT CZ.City AS City, SC.StateName AS State FROM countryCAPostalCodes CZ LEFT OUTER JOIN StateCodes SC ON CZ.ProvinceCode = SC.StateCode WHERE CZ.CountryCAPostalCodes = '" & SQLEncode(sZip) & "'"
			Case "DK"
				sSQLText = "SELECT City, '' AS State FROM countryDKPostalCodes WHERE DKPostalCode = '" & SQLEncode(sZip) & "'"
			Case Else

		End Select
		
		If ( sSQLText <> "" ) Then
			Set rsStoreData = CreateObject("ADODB.Recordset")
			Call DB_getFromDatabase (sSQLText, rsStoreData, "")
			If ( NOT rsStoreData.EOF ) Then
				STRUCTURE_ReturnCity	= rsStoreData("City")
				sState					= rsStoreData("State")
			End If
			Call DB_closeRecordset(rsStoreData)
			Set rsStoreData = Nothing
		End If
	
	End Function
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Function STRUCTURE_ReturnState(sCountryCode, sZip)
	
		Dim rsStoreData, sSQLText
	
		Select Case UCase(Trim(sCountryCode))
			Case "US"
				sSQLText = "SELECT StateCode AS State FROM CountryUSZipCode WHERE CountryUSZipCode = '" & SQLEncode(sZip) & "'"
			Case "CA"
				sSQLText = "SELECT ProvinceCode AS State FROM countryCAPostalCodes WHERE CountryCAPostalCodes = '" & SQLEncode(sZip) & "'"
			Case "DK"
				sSQLText = "SELECT City, '' AS State FROM countryDKPostalCodes WHERE DKPostalCode = '" & SQLEncode(sZip) & "'"
			Case Else

		End Select

		If ( sSQLText <> "" ) Then
			Set rsStoreData = CreateObject("ADODB.Recordset")
			Call DB_getFromDatabase (sSQLText, rsStoreData, "")
			If ( NOT rsStoreData.EOF ) Then
				STRUCTURE_ReturnState	= rsStoreData("State")
			End If
			Call DB_closeRecordset(rsStoreData)
			Set rsStoreData = Nothing
		End If
	
	End Function
	'************************************************************************************
	
	
	
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub STRUCTURE_DispDateDropDown(sDay, sMonth, sYear, bDay, bMonth, bYear, sDayValue, sMonthValue, sYearValue, bBlankDay, bBlankMonth, bBlankYear)
	
		If ( bDay ) Then
			sDayValue = CInt(sDayValue)
			%>
			<select name="<%=sDay%>">
				<%
				If ( bBlankDay ) Then
					Response.Write "<option value=''>" & LANG_DT( "OFFLINEPAYMENT_DAY", "Day" ) & "</option>"
				End If
				For iX = 1 to 31
					If ( iX = sDayValue ) Then
						Response.Write "<option value='" & iX & "' selected>" & iX & "</option>"
					Else
						Response.Write "<option value='" & iX & "'>" & iX & "</option>"
					End If
				Next
				%>
			</select>
			<%
		End If
		
		If ( bMonth ) Then
			sMonthValue = CStr(sMonthValue)
			%>
			<select name="<%=sMonth%>">
				<%
				If ( bBlankMonth ) Then
					Response.Write "<option value=''>" & LANG_DT( "OFFLINEPAYMENT_MONTH", "Month" ) & "</option>"
				End If
				%>
				<option value="1" <%If ( sMonthValue = "1" ) Then Response.Write "selected" End If%>>1 - <%=LANG_DT( "OFFLINEPAYMENT_JAN", "January" )%></option>
				<option value="2" <%If ( sMonthValue = "2" ) Then Response.Write "selected" End If%>>2 - <%=LANG_DT( "OFFLINEPAYMENT_FEB", "February" )%></option>
				<option value="3" <%If ( sMonthValue = "3" ) Then Response.Write "selected" End If%>>3 - <%=LANG_DT( "OFFLINEPAYMENT_MAR", "March" )%></option>
				<option value="4" <%If ( sMonthValue = "4" ) Then Response.Write "selected" End If%>>4 - <%=LANG_DT( "OFFLINEPAYMENT_APR", "April" )%></option>
				<option value="5" <%If ( sMonthValue = "5" ) Then Response.Write "selected" End If%>>5 - <%=LANG_DT( "OFFLINEPAYMENT_MAY", "May" )%></option>
				<option value="6" <%If ( sMonthValue = "6" ) Then Response.Write "selected" End If%>>6 - <%=LANG_DT( "OFFLINEPAYMENT_JUN", "June" )%></option>
				<option value="7" <%If ( sMonthValue = "7" ) Then Response.Write "selected" End If%>>7 - <%=LANG_DT( "OFFLINEPAYMENT_JUL", "July" )%></option>
				<option value="8" <%If ( sMonthValue = "8" ) Then Response.Write "selected" End If%>>8 - <%=LANG_DT( "OFFLINEPAYMENT_AUG", "August" )%></option>
				<option value="9" <%If ( sMonthValue = "9" ) Then Response.Write "selected" End If%>>9 - <%=LANG_DT( "OFFLINEPAYMENT_SEP", "September" )%></option>
				<option value="10" <%If ( sMonthValue = "10" ) Then Response.Write "selected" End If%>>10 - <%=LANG_DT( "OFFLINEPAYMENT_OCT", "October" )%></option>
				<option value="11" <%If ( sMonthValue = "11" ) Then Response.Write "selected" End If%>>11 - <%=LANG_DT( "OFFLINEPAYMENT_NOV", "November" )%></option>
				<option value="12" <%If ( sMonthValue = "12" ) Then Response.Write "selected" End If%>>12 - <%=LANG_DT( "OFFLINEPAYMENT_DEC", "December" )%></option>
			</select>
		<%
		End If
		
		If ( bYear ) Then
			sYearValue = CInt(sYearValue)
			%>
			<select name="<%=sYear%>">
				<%
				If ( bBlankYear ) Then
					Response.Write "<option value=''>" & LANG_DT( "OFFLINEPAYMENT_YEAR", "Year" ) & "</option>"
				End If
				dStartYear = Year(Now())
				For iX = 1 to 6
					If ( dStartYear = sYearValue ) Then
						Response.Write "<option value='" & dStartYear & "' selected>" & dStartYear & "</option>"
					Else
						Response.Write "<option value='" & dStartYear & "'>" & dStartYear & "</option>"
					End If
					dStartYear = dStartYear + 1
				Next
				%>
			</select>
			<%
		End If
		
	End Sub
	'************************************************************************************
%>