<!--#include file="INC_Template.asp"-->
<%
	'************************************************************************************
	'*																					*
	'*	MODIFICATION TO THIS SCRIPT OR ANY FILES INCLUDED WITH 							*
	'*		ONEWORLDSTOREFRONT IS DONE AT YOUR OWN RISK!								*
	'*	Product  : OneWorldStoreFront													*

	'*	Copyright:	Copyright (C) 2004 OneWorldStoreFront.Com							*
	'*				Registration Number: 1024507										*
	'*				http://strategis.ic.gc.ca/											*
	'*																					*
	'************************************************************************************

	Dim sLogoBase
	
	If ( LCase(Trim(Request.ServerVariables("HTTPS"))) = "on" ) Then
		sLogoBase = sOWStoreUrlSSL
	Else
		sLogoBase = sOWStoreUrlNonSSL
	End If

	If ( sCategoryID = "" ) Then
		sSQLText = "SELECT Min(idCategory) FROM Categories WHERE Active = -1"
		Call DB_getFromDatabase (sSQLText, rsStoreData, "")
		If ( NOT rsStoreData.EOF ) Then
			sCategoryID = rsStoreData(0)
		End If
		Call DB_closeRecordset(rsStoreData)
	End If
	
	If ( sDatabase > 0 ) Then
		Call DB_getFromDatabase("SET ROWCOUNT 1", rsStoreData, "")
		sSQLText = "SELECT * FROM owMetaTags (NOLOCK) ORDER BY NEWID()"
	Else
		' perform this test so that the templates can be used on both the Access and MySQL/MSSQL editions
		Randomize()
		iRandomNumber = Int (1000*Rnd)+1
		sSQLText = "SELECT TOP 1 MetaTitle, MetaDesc, MetaKeywords, MetaOwner, MetaCopyright, MetaAuthor, MetaExpiration, MetaCharset, MetaLanguage, MetaObjectType, MetaRating, MetaRobots, MetaRevisit, MetaPragma, MetaCache, MetaEntryDate, MetaQuote, Rnd(" & -1*iRandomNumber & "*MetaTagUnq) AS RandCol FROM owMetaTags ORDER BY 18"
	End If
	Call DB_getFromDatabase(sSQLText, rsStoreData, "") 
	If ( NOT rsStoreData.EOF ) Then
		sMetaTitle			= Trim(rsStoreData("MetaTitle"))
		sMetaDesc			= Trim(rsStoreData("MetaDesc"))
		sMetaKeywords		= Trim(rsStoreData("MetaKeywords"))
		sMetaOwner			= Trim(rsStoreData("MetaOwner"))
		sMetaCopyright		= Trim(rsStoreData("MetaCopyright"))
		sMetaAuthor			= Trim(rsStoreData("MetaAuthor"))
		sMetaExpiration		= Trim(rsStoreData("MetaExpiration"))
		sMetaCharset		= Trim(rsStoreData("MetaCharset"))
		sMetaLanguage		= Trim(rsStoreData("MetaLanguage"))
		sMetaObjectType		= Trim(rsStoreData("MetaObjectType"))
		sMetaRating			= Trim(rsStoreData("MetaRating"))
		sMetaRobots			= Trim(rsStoreData("MetaRobots"))
		sMetaRevisit		= Trim(rsStoreData("MetaRevisit"))
		sMetaPragma			= Trim(rsStoreData("MetaPragma"))
		sMetaCache			= Trim(rsStoreData("MetaCache"))
		sMetaQuote			= Trim(rsStoreData("MetaQuote"))
		sMetaEntryDate		= Trim(rsStoreData("MetaEntryDate"))
	End If
	Call DB_closeRecordset(rsStoreData)
	If ( sDatabase > 0 ) Then
		Call DB_getFromDatabase("SET ROWCOUNT 0", rsStoreData, "")
	End If

	owTemplateTitle = "<TITLE>" & sPageTitle & " - " & sOWCompany & "</TITLE>"
%><html>
<head> 
<link rel="stylesheet" type="text/css" href="<%=sPath%>owTemplates/TemplateStyles.css">
<meta name="DESCRIPTION" content="<%= sOWCompany %><%=chr(32)%><%= sMetaDesc %>">
<meta name="keywords" content="<%= sMetaKeywords %>">
<META NAME="Author" CONTENT="<%=sMetaAuthor%>">
<META NAME="Generator" CONTENT="<%=sMetaOwner%>">
<META NAME="Copyright" CONTENT="<%=sMetaCopyright%>">
<META HTTP-EQUIV="Expires" CONTENT="<%=sMetaExpiration%>">
<META HTTP-EQUIV="Pragma" CONTENT="<%=sMetaPragma%>">
<META HTTP-EQUIV="Cache-Control" CONTENT="<%=sMetaCache%>">
<META HTTP-EQUIV="CONTENT-LANGUAGE" CONTENT="<%=sMetaLanguage%>">
<META NAME="robots" CONTENT="<%=sMetaRobots%>">
<META name="RATING" content="<%=sMetaRating%>">
<META name="Language-Parse" content="&#8734;&#43;&#916;">
<META name="REVISIT-AFTER" content="<%=sMetaRevisit%>">
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=<%=sMetaCharset%>">
<META NAME="ObjectType" CONTENT="<%=sMetaObjectType%>">
<!-- <%=sMetaDesc%> -->
<!-- <%=sMetaQuote%> -->
<%=owTemplateTitle%> </head> <BODY BGCOLOR=#FFFFFF> 
<table border="0" cellspacing="0" cellpadding="0" width="100%">
  <tr> 
    <td valign=bottom rowspan=2 height=40 width=10> <a href="<%=sOWStoreUrlNonSSL%>"><img src='<%=sLogoBase%><%=sOWCompanyLogo%>' border=0></a> 
    </td>
    <td valign=bottom rowspan=2 height=40 width=10> <a href="<%=sOWStoreUrlSSL%>owBasket/owShowCart.asp"><img src='<%=sPath%>owTemplates/images/TopCart.gif' border=0></a> 
    </td>
    <td valign=bottom height=22 align=right> 
      <table border="0" cellspacing="0" cellpadding="0">
        <tr> 
          <td><a href="<%=sOWStoreUrlNonSSL%>default.asp" class='LeftNavLinks'><%=LANG_DT( "TEMPLATE_HOME", "Home" )%></a></tD>
          <td><span class='LeftNavText'>&nbsp;&nbsp;:&nbsp;&nbsp;</span></td>
          <td><a href="<%=sOWStoreUrlNonSSL%>owListProduct.asp?bSpecials=T" class='LeftNavLinks'><%=LANG_DT( "TEMPLATE_SPECIALS", "Specials" )%></a></tD>
          <td><span class='LeftNavText'>&nbsp;&nbsp;:&nbsp;&nbsp;</span></td>
          <td><a href="<%=sOWStoreUrlNonSSL%>owContactUs.asp" class='LeftNavLinks'><%=LANG_DT( "TEMPLATE_CONTACT", "Contact Us" )%></a></tD>
          <td><span class='LeftNavText'>&nbsp;&nbsp;&nbsp;</span></td>
        </tr>
      </table>
    </td>
  </tr>
  <tr> 
    <td background='<%=sPath%>owTemplates/images/HeaderLine.gif' height=18 valign=bottom align=right> 
      <table border="0" cellspacing="0" cellpadding="0">
        <tr> 
          <td><a href="<%=sOWStoreUrlSSL%>owBasket/owCustomerAuthenticate.asp"><%=LANG_DT( "TEMPLATE_MYACCOUNT", "My Account" )%></a></tD>
          <%If ( NOT bOWStoreClosed ) Then%>
          <td>&nbsp;&nbsp;:&nbsp;&nbsp;</td>
          <td><a href="<%=sOWStoreUrlSSL%>owBasket/owCheckOut.asp" class='LeftNavLinks'><%=LANG_DT( "TEMPLATE_CHECKOUT", "Checkout" )%></a></tD>
          <td>&nbsp;&nbsp;:&nbsp;&nbsp;</td>
          <td><a href="<%=sOWStoreUrlSSL%>owBasket/owShowCart.asp" class='LeftNavLinks'><%=LANG_DT( "TEMPLATE_CART", "Cart" )%></a></tD>
          <%End If%>
          <td><img src='<%=sPath%>owTemplates/images/ClearDot.gif' width=10></td>
        </tr>
      </table>
    </td>
  </tr>
  <tr>
    <td><img src='<%=sPath%>owTemplates/images/ClearDot.gif' width=5></td>
  </tr>
</table>
<table border="0" cellspacing="0" cellpadding="0" width="100%" height=100%>
  <tr> 
    <td valign=top> 
      <table border="0" cellspacing="0" cellpadding="0" width="170">
        <tr> 
          <td width=1><img src='<%=sPath%>owTemplates/images/LeftNavTopLeft.gif'></td>
          <td width=168 background='<%=sPath%>owTemplates/images/LeftNavTopBG.gif'><span class='LeftNavHead'><%=LANG_DT( "TEMPLATE_PRODSEARCH", "PRODUCT SEARCH" )%><img src='<%=sPath%>owManager/images/dotnav.gif' width=1 height=1 alt=<%=chr(169)&chr(79)&chr(110)&chr(101)&chr(87)&chr(111)&chr(114)&chr(108)&chr(100)&chr(83)&chr(116)&chr(111)&chr(114)&chr(101)&chr(70)&chr(114)&chr(111)&chr(110)&chr(116)%>></span></td>
          <td width=1><img src='<%=sPath%>owTemplates/images/LeftNavTopRight.gif'></td>
        </tr>
        <tr> 
          <td background='<%=sPath%>owTemplates/images/LeftNavMiddleLeft.gif'><img src='<%=sPath%>owTemplates/images/ClearDot.gif' width=5></td>
          <td width=127 background='<%=sPath%>owTemplates/images/F7F7F0.gif'> 
            <form action="<%=sOWStoreUrlNonSSL%>owSearch/PrepareResults.asp" method="post" id="searchBox" name="searchBox" style='padding: 0px; margin:0px;'>
              <table cellpadding=0 cellspacing=0 border=0>
                <tr>
                  <td colspan=3><img src='<%=sPath%>owTemplates/images/ClearDot.gif' width=1 height=7></td>
                </tr>
                <tr> 
                  <td>
<input name="sKeywords" size="16" value="Search" align=absmiddle onFocus="javascript:if (this.value=='Search') {this.value='';}">
                  </td>
                  <td>&nbsp;</td>
                  <td valign=bottom>
                    <input type="image" img border="0" src="<%=sPath%>owTemplates/images/<%=sOWLanguageCode%>/SearchGo.gif" width="28" height="17" align=middle style='border: 0px;'>
                  </tD>
                </tr>
              </table>
              &nbsp;<a href="<%=sOWStoreUrlNonSSL%>owSearch/Default.asp" class='LeftNavLinks'><%=LANG_DT( "TEMPLATE_ADVSEARCH", "Advanced Search" )%></a> 
            </form>
          </td>
          <td background='<%=sPath%>owTemplates/images/LeftNavMiddleRight.gif'><img src='<%=sPath%>owTemplates/images/ClearDot.gif' width=5></td>
        </tr>
        <tr> 
          <td><img src='<%=sPath%>owTemplates/images/LeftNavBottomLeft.gif'></td>
          <td background='<%=sPath%>owTemplates/images/LeftNavBottomBG.gif'><img src='<%=sPath%>owTemplates/images/ClearDot.gif' width=5></td>
          <td><img src='<%=sPath%>owTemplates/images/LeftNavBottomRight.gif'></td>
        </tr>
        <tr>
          <td colspan=3><img src='<%=sPath%>owTemplates/images/ClearDot.gif' width=5></td>
        </tr>
      </table>
      <%
			Call showcompanypages_custom()
			Call DisplayCategoriesStandard(sCategoryID)
			%>
    </tD>
    <td valign=top width="100%"> 
      <table border="0" cellspacing="0" cellpadding="0" width="100%" height=100%>
        <tr height=9> 
          <td><img src='<%=sPath%>owTemplates/images/BodyTopLeft.gif'></td>
          <td background='<%=sPath%>owTemplates/images/BodyTopBG.gif'><img src='<%=sPath%>owTemplates/images/ClearDot.gif' height=9></td>
          <td><img src='<%=sPath%>owTemplates/images/BodyTopRight.gif'></td>
        </tr>
        <tr> 
          <td background='<%=sPath%>owTemplates/images/BodyMiddleLeft.gif'><img src='<%=sPath%>owTemplates/images/ClearDot.gif' width=10></td>
          <td width=100% valign=top> 
            <%Call ActionSubroutine()%>
          </td>
          <td background='<%=sPath%>owTemplates/images/BodyMiddleRight.gif'><img src='<%=sPath%>owTemplates/images/ClearDot.gif' width=10></td>
        </tr>
      </table>
    </tD>
    <td valign=top width="100%"> 
      <%If ( NOT bOWStoreClosed ) Then%>
      <table border="0" cellspacing="0" cellpadding="0" width="170">
        <tr> 
          <td width=1><img src='<%=sPath%>owTemplates/images/LeftNavTopLeft.gif'></td>
          <td width=168 background='<%=sPath%>owTemplates/images/LeftNavTopBG.gif'><span class='LeftNavHead'><%=LANG_DT( "TEMPLATE_YOURCART", "YOUR CART" )%></SPAN></td>
          <td width=1><img src='<%=sPath%>owTemplates/images/LeftNavTopRight.gif'></td>
        </tr>
        <tr> 
          <td background='<%=sPath%>owTemplates/images/LeftNavMiddleLeft.gif'><img src='<%=sPath%>owTemplates/images/ClearDot.gif' width=5></td>
          <td background='<%=sPath%>owTemplates/images/F7F7F0.gif' width=100%> 
            <table border="0" cellpadding="5" cellspacing="0" background="" class='TablePage_Boxed' style='border-bottom: 0px;' width=100%>
              <tr> 
                <td width=50% align=center> 
                  <p class='LeftNavText'><%=LANG_DT( "TEMPLATE_TTL", "Total" )%>:<br>
                    <%=FormatCurrency(CART_CalcTotal())%></p>
                </td>
                <td width=50% align=center> 
                  <p class='LeftNavText'><%=LANG_DT( "TEMPLATE_QTY", "Qty" )%>:<br>
                    <%=CART_CalcQty()%></p>
                </td>
              </tr>
              <tr> 
                <td colspan=2 align=center><a href="<%=sOWStoreUrlSSL%>owBasket/owShowCart.asp"><img src="<%=sPath%>owTemplates/images/<%=sOWLanguageCode%>/viewcart.gif" width="96" height="18" alt="" border="0"></a></td>
              </tr>
            </table>
          </td>
          <td background='<%=sPath%>owTemplates/images/LeftNavMiddleRight.gif'><img src='<%=sPath%>owTemplates/images/ClearDot.gif' width=5></td>
        </tr>
        <tr> 
          <td><img src='<%=sPath%>owTemplates/images/LeftNavBottomLeft.gif'></td>
          <td background='<%=sPath%>owTemplates/images/LeftNavBottomBG.gif'><img src='<%=sPath%>owTemplates/images/ClearDot.gif' width=5></td>
          <td><img src='<%=sPath%>owTemplates/images/LeftNavBottomRight.gif'></td>
        </tr>
        <tr>
          <td colspan=3><img src='<%=sPath%>owTemplates/images/ClearDot.gif' width=5></td>
        </tr>
      </table>
      <%
			End If
			Response.Write ShowNewProd(5)
			If ( NOT bOWStoreClosed ) Then
				Response.Write ShowTopSellers(5)
			End If
			%>
    </td>
  </tr>
</table>
<table border="0" cellspacing="0" cellpadding="0" width="100%">
  <tr>
    <tD colspan=2 background='<%=sPath%>owTemplates/images/HeaderLine.gif' height=5><img src='<%=sPath%>owTemplates/images/ClearDot.gif' width=5></td>
  </tr>
  <tr> 
    <td valign=top height=5> 
      <table border="0" cellspacing="0" cellpadding="0">
        <tr> 
          <td><a href="<%=sOWStoreUrlNonSSL%>default.asp" class='LeftNavLinks'><%=LANG_DT( "TEMPLATE_HOME", "Home" )%></a></tD>
          <td><span class='LeftNavText'>&nbsp;&nbsp;:&nbsp;&nbsp;</span></td>
          <td><a href="<%=sOWStoreUrlNonSSL%>owListProduct.asp?bSpecials=T" class='LeftNavLinks'><%=LANG_DT( "TEMPLATE_SPECIALS", "Specials" )%></a></tD>
          <td><span class='LeftNavText'>&nbsp;&nbsp;:&nbsp;&nbsp;</span></td>
          <td><a href="<%=sOWStoreUrlNonSSL%>owContactUs.asp" class='LeftNavLinks'><%=LANG_DT( "TEMPLATE_CONTACT", "Contact Us" )%></a></tD>
          <td><span class='LeftNavText'>&nbsp;&nbsp;&nbsp;</span></td>
        </tr>
      </table>
    </td>
    <td align=right> 
      <%
			'************************************************************************************
			'*																					*
			'*	Removal of these two lines constitutes a breach of the license agreement.		*
			'*	Both the "Copyright" and "Powered by" lines must remain at all times.			*
			'*																					*
			'************************************************************************************
			%>
      Copyright &copy;<%=DatePart("yyyy",now)%>&nbsp;<%=sOWCompany%><br>
      Powered by <a href="http://www.oneworldstorefront.com" target="_blank">OneWorldStoreFront&#153;</a> 
    </td>
  </tr>
</table>
</body>
</html>
<%
Call SF_ClosePage()
%>